This file contains a description of the major changes to the easybuild-easyconfigs EasyBuild package.
For more detailed information, please see the git log.

These release notes can also be consulted at http://easybuild.readthedocs.org/en/latest/Release_notes.html.

The latest version of easybuild-easyconfig provides 7,313 easyconfig files, for 1,262 different software packages,
25 different (compiler) toolchains, 13 software bundles and 1 meta-package.

v3.4.0 (September 8th 2017)
---------------------------

feature release
- added easyconfigs for foss/2017b and intel/2017b common toolchains (#4768), (#4618)
- added example easyconfig files for 31 new software packages:
  - BAMM (#4650), BamM (#4650), bcl2fastq2 (#4902), CGNS (#5078), CLAPACK (#5096), CLISP (#4926), cadaver (#4873), destiny (#5009), GroopM (#4650), Lucene-Geo-Gazetteer (#5064), libffcall (#4850), libsigsegv (#4840), MERCKX (#5056), minimap2 (#4991), ncompress (#4852), OpenNLP (#5059), OpenRefine (#5058), PHAST (#5096), PYTHIA (#5083), ParallelIO (#5071), PnetCDF (#5071), plotly (#5010), QML (#5101), Quorum (#5095), Rcorrector (#5095), SCnorm (#5008), sratoolkit (#2715), Shannon (#5095), Tika (#5063), UNAFold (#4997), VERSE (#4843)
- added additional easyconfigs for various supported software packages, including:
  - ART 2016.06.05, Armadillo 7.950.1, Autoconf 2.68, Autoconf 2.69, Automake 1.11.3, Automake 1.15.1, Autotools 20170619, ant 1.10.1, BAMM 2.5.0, BEDTools 2.26.0, BFAST 0.7.0a, BLAST+ 2.6.0, BWA 0.7.12, BWA 0.7.15, BWA 0.7.15, BWA 0.7.16a, BWA 0.7.16a, BamM 1.7.3, Biopython 1.70, Bison 3.0.4, Blitz++ 0.10, Blosc 1.12.1, Blosc 1.12.1, Boost 1.65.0, Bowtie 1.1.2, Bowtie 1.2.1.1, Bowtie2 2.3.2, Bowtie2 2.3.2, bcl2fastq2 2.19.1, binutils 2.29, binutils 2.29.eb, byacc 20170709, bzip2 1.0.6, CD HIT, CFITSIO 3.41, CGNS 3.3.1, CLAPACK 3.2.1, CLISP 2.49, CMake 3.9.1, CMake 3.9.1, CMake 3.9.1.eb, CVXOPT 1.1.9, CppUnit 1.12.1, Cython 0.25.2, cURL 7.55.1, cadaver 0.23.3, cairo 1.14.10, cutadapt 1.14, DB 6.2.32, DBus 1.10.20, destiny 2.5.6, EasyBuild 3.3.1.eb, Eigen 3.3.4.eb, eudev 3.2.2, expat 2.2.4, FDS 6.5.3, FFTW 3.3.6, FastQC 0.11.5, FreeXL 1.0.3, flex 2.6.4, fontconfig 2.12.4, foss 2017b.eb, freetype 2.8, GAMESS US, GAMESS US, GATK 3.8, GCC 7.2.0, GCCcore 7.2.0.eb, GLib 2.52.0, GLib 2.53.5, GMP 6.1.2, GObject Introspection, GObject Introspection, GROMACS 2016.3, GSL 2.4, Gdk Pixbuf, GroopM 0.3.4, Guile 2.2.2, gc 7.6.0, gettext 0.19.8.1, gompi 2017b.eb, gperf 3.1, gzip 1.8, HDF 4.2.13, HDF5 1.10.1, HDF5 1.8.19, HDF5 1.8.19, HPL 2.2, HPL 2.2, HPL 2.2, HTSeq 0.9.1, Hadoop 2.6.0, h5py 2.7.0, h5py 2.7.0, h5py 2.7.0, h5py 2.7.0, help2man 1.47.4, htop 2.0.1.eb, hwloc 1.11.7, I TASSER, icc 2017.4.196, iccifort 2017.4.196, ifort 2017.4.196, iimpi 2017b.eb, imkl 2017.3.196, imkl 2017.3.196, impi 2017.3.196, intel 2017b.eb, iomkl 2017b.eb, iompi 2017b.eb, JAGS 4.2.0, JUnit 4.12, JasPer 2.0.12, Java 1.8.0_141.eb, Java 1.8.0_144.eb, Jellyfish 2.2.6, kallisto 0.43.1, LLVM 4.0.1, LZO 2.10, LibUUID 1.0.3, LittleCMS 2.8, Lucene Geo, libGLU 9.0.0, libcerf 1.5, libdrm 2.4.76, libevent 2.1.8, libffcall 1.13, libffi 3.2.1, libgd 2.2.4, libjpeg turbo, libjpeg turbo, libpng 1.6.32, libpthread stubs, libreadline 7.0, libsigsegv 2.11, libsodium 1.0.13, libsodium 1.0.13, libspatialindex 1.8.5, libtool 2.4.6, libunistring 0.9.7, libxml2 2.9.4, libyaml 0.1.7, M4 1.4.18, MATLAB 2013b.eb, MERCKX 20170330, MPFR 3.1.5, MRtrix 3.0_RC2, Mako 1.0.6, Mathematica 11.1.1.eb, Maven 3.5.0.eb, Mesa 17.0.2, Mesquite 2.3.0, matplotlib 2.0.2, matplotlib 2.0.2, mdtest 1.9.3, minimap2 2.0rc1, muParser 2.2.5, NASM 2.13.01, NASM 2.13.01, NLTK 3.2.4, NWChem 6.6.revision27746, ncompress 4.2.4.4, ncurses 6.0, netCDF 4.4.1.1, netcdf4 python, nettle 3.3, nettle 3.3, numactl 2.0.11, ORCA 4.0.1, OpenBLAS 0.2.20, OpenMPI 2.1.1, OpenMPI 2.1.1, OpenNLP 1.8.1.eb, OpenPGM 5.2.122, OpenPGM 5.2.122, OpenRefine 2.7, PAPI 5.5.1, PCRE 8.40, PCRE 8.41, PCRE 8.41, PHAST 1.4, PIL 1.1.7, PYTHIA 8.226, ParallelIO 2.2.2a, Perl 5.24.1, Perl 5.26.0, Perl 5.26.0, PnetCDF 1.8.1, PyTables 3.3.0, PyZMQ 16.0.2, Pysam 0.10.0, Pysam 0.8.4, Python 2.7.13, Python 3.6.1, parallel 20170822, picard 2.10.1, picard 2.6.0, pigz 2.3.4, pixman 0.34.0, pkg config, pkgconfig 1.2.2, pkgconfig 1.2.2, plotly 4.7.1, QML 0.2.10, Qhull 2015.2, Qt 4.8.7, Quorum 1.1.1, ROOT 6.10.04, Rcorrector 1.0.2, rjags 4, SAMtools 1.2, SAMtools 1.3.1, SAMtools 1.5, SCnorm 0.99.7, SOAPdenovo Trans, SPAdes 3.10.1, SQLite 3.20.1, SRA Toolkit, SRA Toolkit, ScaLAPACK 2.0.2, Seurat 1.4.0.16, Shannon 20170511, Siesta 4.0.1, Siesta 4.1, Singularity 2.3.1, Spark 2.2.0, StringTie 1.3.3, Szip 2.1.1, Szip 2.1.1, snappy 1.1.6.eb, Tcl 8.6.7, Tika 1.16.eb, Trim_Galore 0.4.4, Trinity 2.4.0, tbb 2017_U6, texinfo 6.4, UNAFold 3.8, util linux, util linux, util linux, util linux, VERSE 0.1.5, Voro++ 0.4.6, vsc mympirun, XGBoost 0.6a2, XZ 5.2.3, Xerces C++, x264 20170721, xarray 0.9.6, Yasm 1.3.0, ZeroMQ 4.2.2, zlib 1.2.11
- minor enhancements, including:
  - added Rmpi patch file for R built with intel toolchains incl. impi 5.x) (#4623)
  - use single-line description in setup.py (#4881)
  - Updating deprecated PLINK urls (#4920)
  - rename CLISP patch + add upstream ref + minor style cleanups in easyconfig (#4986)
  - add required zlib dependency for util-linux 2.29.2 (#4900)
  - also add checksums to Perl 5.24.1 easyconfig using intel/2017a (#4992)
  - add zlib as depedency to recent util-linux easyconfigs (#4998)
  - add additional extensions for R 3.4.0 and Bioconductor 3.5 bundle (#5007)
  - add SC3 extension into bundle for Bioconductor 3.5 (+ dep extesions in R easyconfig) (#5028)
  - add mpath as extension for R 3.4.0 (#5029)
  - remove superfluous $CPATH update in GLib 2.44.0 easyconfig (#5053)
  - include timereg as extension in R 3.4.0 easyconfig (#5062)
  - update ncurses to not build a separate libtinfo but provide a soft link instead. Force linking to ncurses in libreadline (#5067)
  - bump version for various easyconfigs that use GCCcore/6.4.0 (#5073)
  - remove bare Python easyconfig using GCCcore/6.4.0 toolchain + easyconfigs that require it (#5075)
  - bump version for libyaml, SQLite & Tcl easyconfigs that use GCCcore/6.4.0 (#5076)
  - add peperr extension for R 3.4.0 (#5079)
  - include Autotools as build dep for netCDF (#5077)
  - add check to see whether binutils is included as build dep when GCCore toolchain is used (#5084)
  - update Tesla-Deployment-Kit-5.319.43.eb (#5018)
- various bug fixes, including:
  - fix version and source for Seurat, add extensions required by Seurat in R 3.4.0 easyconfig (#4889)
  - use modextrapaths instead of modextravars in OpenMM easyconfig (#4903)
  - fix moduleclass for Cookiecutter (#4947)
  - also fix URLs in PLINK-1.07-x86_64.eb (#5006)
  - iompi: OpenMPI dependency must come after icc/ifort (#5024)
  - fix typo in comment in util-linux easyconfigs & add SHA256 checksums (#5052)
  - avoid that /Users/kehoste/.m2 is abused by Maven when installing OpenNLP (#5061)
  - linking to ncurses was not done correctly (#5074)
  - iomkl toolchain matching on intel/foss 2017b (#5097)
  - add missing binutils build dep for texinfo (#5099)


v3.3.1 (July 12th 2017)
-----------------------

bugfix/update release
- added example easyconfig files for 6 new software packages:
  - FastME (#4811), geopy (#4821), Miniconda2 (#4841), ngmlr (#4818), OpenCoarrays (#4799), Seurat (#4832)
- added additional easyconfigs for various supported software packages, including:
  - ABAQUS 2017, GCC(core) 6.4.0, Keras 2.0.5, NCBI-Toolkit 18.0.0, numpy 1.13.0, Tensorflow 1.2.0
- minor enhancements, including:
  - add SVG and Statistics::Basic to recent Perl versions (#4796)
  - remove buildopts from HDF5 easyconfigs, taken care of by updated HDF5 easyblock now (#4779)
  - include joblib as extension in recent Python easyconfigs (#4805)
  - changed moduleclass in mpi4py to better reflect what it is and to not confuse HMNS (#4807)
  - get rid of references to 'hpcugent' organisation after move to github.com/easybuilders (#4815, #4837)
  - add Rtsne as extension to R 3.4.0 (#4831)
- various bug fixes, including:
  - use PYPI_SOURCE as source URL in Tensorflow easyconfigs (#4786)
  - fix homepage for skewer (#4791)
  - sync/fix source_urls & homepage in HDF5 easyconfig (#4800)
  - fix ubsan error blocking build of GCCcore 6.1.0, 6.2.0, 6.3.0 with system GCC 7.1 (#4813)


v3.3.0 (June 26th 2017)
-----------------------

feature release
- enable automatic style checks in easyconfig tests (#2506)
- added example easyconfig files for 28 new software packages:
  - ada (#4594), Aspera-CLI (#4635), AUGUSTUS (#4624), ada (#4594), Bio-SamTools (#4637), Bpipe (#4590), BUSCO (#4624),
    CNVnator (#4649), davix (#4755), EricScript (#4594), FUNWAVE-TVD (#4743), gmpy2 (#4609), gSOAP (#4755),
    libsndfile (#4628), lpsolve (#4264),  LUMPY (#4682), MaSuRCA (#4706), modred (#4729), MXNet (#4765),
    NRGLjubljana (#4651), OrfM (#4703), Perl4-CoreLibs (#4670), prodigal (#4468), pydlpoly (#4756), SeqAn (#4603),
    sharutils (#4745), Spyder (#4627), Tkinter (#4620), VariantMetaCaller (#4632)
- added new easyconfigs for existing toolchains:
  - gimkl/2017a (#4646)
- added additional easyconfigs for various supported software packages, including:
  - ABINIT 8.2.2, BLAST+ 2.6.0, Bowtie2 2.3.2, FFmpeg 3.3.1, NCL 6.4.0, Rust 1.18.0, SAMtools 1.5, VTK 7.1.1
- minor enhancements, including:
  - use 'git diff --name-only' and $TRAVIS_COMMIT_RANGE in Travis config to get list of changed files (#4606, #4619)
  - add tuneR, seewave, soundecology, vcfR extensions for R 3.4.0 (+ libsndfile as dep) (#4628, #4680, #4747)
  - also copy README for GapFiller (#4631)
  - enable inclusion of version symbol by using --enable-ld-version-script configure option for LibTIFF (#4639)
  - add SHA256 checksums for libpciaccess to discriminate from old tarballs that required running autogen.sh (#4688)
  - fix NE_GLOBAL_DIR path for ne by also specifying PREFIX in buildopts (#4698)
  - more (trivial) style fixes (#4761)
  - avoid use of import in ANSYS & MATLAB easyconfigs (#4762)
  - set $OMP_NUM_THREADS during CP2K test step via dedicated easyconfig parameter (#4763)
  - avoid use of 'import' in BFAST easyconfigs, just strip of 'a' from version (#4764)
  - add the docopt module to all Python 2017a easyconfigs (#4770)
  - stop using deprecated 2-element tuple format in sources, use equivalent dict format instead (#4774)
- various bug fixes, including:
  - fix typo in statsmodels source url (/sources/ -> /source/) (#4612)
  - add location to DotLib.pm to $PERL5LIB for SSPACE_Basic (#4638)
  - add missing /gnu/ ins ftpmirror.gnu.org source_urls, or use GNU_SOURCE where possible (#4653)
  - consistently use --with-harfbuzz=no configure option in freetype easyconfigs (#4668)
  - use --with-x=yes in R easyconfigs that include X11 as a dependency (#4701)
  - remove '4.0' in tbb description (#4707)
  - add lib sanity check paths for Debian compatibility in nettle (#4722)
  - fix source URLs for HDF5 (#4749)


v3.2.1 (May 12th 2017)
----------------------

bugfix/update release
- added example easyconfig files for 12 new software packages:
  - AdapterRemoval (#4509), blasr_libcpp (#4566), canu (#4473), enchant (#4567), hunspell (#4567), memkind (#4544),
    NLTK (#4565), pbbam (#4566), pbdagcon (#4566), pyenchant (#4567), Siesta (#4562), xarray (#4556)
- added new easyconfigs for existing toolchains:
  - goolfc 2017.01 (#4577)
- added additional easyconfigs for various supported software packages, including:
  - HDF5 1.10.1, NAMD 2.12, OpenFOAM 4.1, pandas 0.20.1, ParaView 5.2.0, R 3.4.0, R-bundle-Bioconductor 3.5, Tensorflow 1.1.0
- minor enhancements, including:
  - update source URLs in libpciaccess easyconfigs (#3960)
  - enable use of double precision floating point in METIS 5.1.0 foss/2016a easyconfig (#4555)


v3.2.0 (May 5th 2017)
---------------------

feature release
- added example easyconfig files for 34 new software packages:
  - ACTC (#4386), atomate (#4484), BreakDancer (#4455), bx-python (#4486), ClusterShell (#4432), custodian (#4484),
    DFTB+ (#4398), Doris (#4404), ED2 (#4402), FireWorks (#4484), GETORB (#4414), GapFiller (#4462), IPy (#4450),
    imbalanced-learn (#4373), ipyrad (#4507), libiconv (#4499), MultiQC (#3564), NLopt (#1750), Node-RED (#4542),
    PyCUDA (#4523), pymatgen-db (#4484), QuTiP (#4371), ROI_PAC (#4414), Rascaf (#4459), RepastHPC (#4395),
    rootpy (#4242), SSPACE_Basic (#4461), Sambamba (#4442), Spack (#4431), SpiceyPy (#4406), StaMPS (#4454),
    samblaster (#4435), VMD (#4391), WRF-Fire (#4403)
- added additional easyconfigs for various supported software packages, including:
  - BamTools 2.4.1, Boost 1.64.0, GCC 7.1.0, IPython 5.3.0, LLVM 4.0.0, Mesa 17.0.2, Octave 4.2.1, OpenMPI 2.1.0,
    PETSc 3.7.5, PGI 17.3, Perl 5.24.1, Python 2.7.13 + 3.6.1 (incl. numpy 1.12.1, scipy 0.19.0), R 3.3.3, SuiteSparse 4.5.5
- various enhancements, including:
  - sync Bowtie2 easyconfigs, consistently use Bowtie2 easyblock (#4380)
  - use pl2 source tarball for FFTW 3.3.6 which already includes patch for F03 interface (#4529)
- various bug fixes, including:
  - add missing XZ dep in easyconfig for libunwind 1.1 w/ GCC/4.9.2, sync sanity_check_paths across libunwind easyconfigs (#4369)
  - use 'use_fma4' rather than deprecated 'use_fma' easyconfig parameter in FFTW easyconfigs using intel toolchain (#4384)
  - fix pkgconfig patch for Qhull (#4451)
  - also use patch for METIS 5.1.0 to enable use of doubles in easyconfig for foss/2016b (#4467)
  - add dependency NLopt for R extension nloptr (#4481)
  - fix issue with configparser and backports namespace blocking inclusion of nbconvert with IPython (#4504)
  - change source_urls of pycrypto to encrypted https://pypi.python.org/... (#4505)
  - fix sources spec for HMMER 3.1b2 + minor style fixes + better sanity check (#4531)
  - also build IMB-IO in IMB 4.1 easyconfig using foss/2016a (#4539)


v3.1.2 (March 20th 2017)
------------------------

bugfix/update release
- add patch to FFTW 3.3.6 easyconfigs to fix MPI F03 interface (#4334)
  - note that this warrants rebuilding FFTW that is a part of foss/2017a
- added example easyconfig files for 14 new software packages:
  - DBG2OLC (#4281), disambiguate (#4125), fqtrim (#4280), GFOLD (#4293), Kaiju (#4349), LSMS (#4335),
    L_RNA_scaffolder (#4282), PileOMeth (#4289), psycopg2 (#4319), QGIS (#4307, #4332), QJson (#4305),
    QScintilla (#4306, #4313), sketchmap (#4360), snaphu (#4362)
- added additional easyconfigs for various supported software packages, including GROMACS 2016.3, PGI 17.1, SAMtools 1.4
- various enhancements, including:
  - fix style in several easyconfigs (#4267-#4271, #4274, #4275, #4277, #4279, #4286-#4288, #4318)
- various bug fixes, including:
  - correctly set $PYTHONPATH in ROOT easyconfigs (#4239, #4331)
  - correct libjpeg turbo references in GDAL (#4276)
  - make sure that HDF5 provided via EasyBuild is used in BLASR easyconfigs (#4278)
  - fix issues with miRDeep2 installation (#4291, #4301, #4316)
  - also run tests with Tcl module syntax, Lua is the default in EasyBuild v3.x (#4315)
  - fix PostgreSQL homepage + minor style fixes (#4318)
  - detect use of '$root', which is not compatible with module files in Lua syntax (#4330)
  - fix homepage/source_urls for ViennaRNA (#4338)
  - pass down $FFLAGS via FLAGS_OPT in SWASH easyconfigs (#4341)
  - remove include/GL/wglext.h from Mesa sanity check (#4354)
  - rename S.A.G.E. to SAGE, can't have directories with trailing dot in Windows (#4368)


v3.1.1 (March 7th 2017)
-----------------------

bugfix/update release
- added example easyconfig files for 16 new software packages:
  - Caffe (#3667), DIAMOND (#4107), fmt (#4131), googletest (#4132), igraph (#4172), MEGA (#4202), meRanTK (#4175),
    meshio (#4178), miRDeep2 (#4229, #4255), OOMPA (#4211), PBSuite (#4224, #4230), randfold (#4217), skewer (#4246),
    Smoldyn (#4110), SpiecEasi (#4215), stress (#4180)
- added additional easyconfigs for various supported software packages, including:
  - binutils 2.28, Cantera 2.3.0, CGAL 4.9, GMP 6.1.2, IPython 5.2.2, JasPer 2.0.10, NWChem 6.6, matplotlib 2.0.0,
    PCRE 8.40, Qt5 5.8.0, Vim 8.0, X11 bundle v20170129, VTK 7.1.0, Yade 2017.01a
- added new easyconfigs for existing toolchains:
  - iomkl/2017a (#4216), intel/2017.02 (#4248)
- various enhancements, including:
  - fix style in several easyconfigs (#4174, #4176, #4190, #4233)
  - add sanity check command to Yade easyconfig to make sure that 'import yade' works, include bzip2 as dep (#4193)
  - add PDF::API2 extension to Perl 5.24.0 easyconfigs + sync exts_list (#4221)
- various bug fixes, including:
  - add Bison and gettext as build deps for X11 (#4111)
  - clean up dependencies in libdrm (#4113)
  - make sure Ghostscript picks up external libraries (#4118)
  - fix ippicv source download and library install for OpenCV v3.1.0 (#4126)
  - fix software name for OrthoMCL + modernise OrthoMCL easyconfigs (#4134, #4135)
  - get rid of backticks in gettext descriptions, causes problems when packaging with FPM (#4146)
  - remove duplicate sources specification in OpenMPI (#4150)
  - fix definition of buildopts/installopts in Cantera easyconfig (#4133, #4164, #4177)
  - use http rather than ftp source URLs in CFITSIO easyconfigs (#4167)
  - add patch for XZ 5.2.2 to include 5.1.2alpha symbols required by 'rpm' command on CentOS 7.x (#4179)
  - add patch for Boost v1.61-1.63 to fix problem with make_array/array_wrapper in boost serialization library (#4192)
  - set CMAKE_PREFIX_PATH to ncurses install directory in CMake easyconfigs (#4196)
  - switch to lowopt=True for libxc v2.2.* and v3.* (#4199)
  - remove custom sanity_check_paths, since it's identical to that used by the R easyblock (#4200)
  - fix version (& homepage) in ea-utils easyconfigs (#4205)
  - remove --with-threads configure option in OpenMPI-2.* (#4213)
  - fix check for Szip library in configure script for netCDF 4.1.3 (#4226)
- fix source_urls in several easyconfigs, including:
  - bsoft, cutadapt, EMBOSS, GnuTLS, ImageMagick, LibTIFF, Mercurial, netCDF, netCDF-Fortran, pigz, ROOT and Subversion (#4227)


v3.1.0 (February 3rd 2017)
--------------------------

feature release
- added easyconfigs for foss/2017a and intel/2017a common toolchains (#3968, #3969)
- added example easyconfig files for 16 new software packages:
  - ack (#3983), cclib (#4065), ConnectomeWorkbench (#3411), GroIMP (#3994), hyperspy (#3991), I-TASSER (#1216),
    ImageJ (#4023, #4062), libconfig (#4051), libspatialindex (#4002), mahotas (#3990), Minia (#3949), muParser (#4007), 
    NetLogo (#3941), QIIME (#3868), QwtPolar (#4019), Tensorflow (#4084, #4095)
- added additional easyconfigs for various supported software packages, including:
  - Boost 1.62.0 + 1.63.0, CP2K 4.1, GSL 2.3, PLUMED 2.3.0, Qt5 5.7.1, WRF 3.8, WPS 3.8, Yade 2016.06a, zlib 1.2.11
- various enhancements, including:
  - update FFTW 3.3.5 easyconfigs to use FFTW easyblock & enable running of tests (#3985)
  - add FME extensions (+ deps) in R 3.3.1 easyconfigs (#4063)
- various bug fixes, including:
  - add libxml2 dependency on HDF5 (#3759)
  - remove unnecessary dependency in libmatheval (#3988)
  - fix permissions on SWASH binaries (#4003)
  - add conda-forge channel to perl-app-cpanminus (#4012)
  - add missing deps (libpthread-stubs, libpciaccess) to libdrm 2.4.70 (#4032)
  - modloadmsg style fixes in multiple easyconfigs (#4035)
  - include X11 as dep for Molden (#4082)
  - remove incorrect definition for $ROSETTA3_DB, now (correctly) defined via Rosetta easyblock (#4083)
- fix source URLs for several easyconfigs, including:
  - arpack-ng 3.1.3 + 3.1.5 (#4050), ChIP-Seq 1.5-1 (#4050), Ghostscript 9.10, 9.14 + 9.16 (#4050),
    Git 1.7.12, 1.8.2 + 1.8.3.1 (#4050), HBase 1.0.2 (#4043), libevent 2.0.22 (#4037), libsodium 1.0.3 (#4046),
    lynx 2.8.7 (#4050), Maven 3.2.2 and 3.3.3 (#4039), MEME 4.8.0 (#4050), PCC 20131024 (#4044), S-Lang 2.3.0 (#4045),
    Spark 1.3.0 (#4041), splitRef 0.0.2 (#4040)


v3.0.2 (December 22nd 2016)
---------------------------

bugfix release
- added example easyconfig files for 13 new software packages:
  - CryptoMiniSat (#3952), MATSim (#3902), Molcas (#2084), ne (#3376), psmc (#3910), PyCogent (#3897),
    PyNAST (#3897), RASPA2 (#3903, #3946), SimPEG (#3876), SolexaQA++ (#3892), taco (#3882),
    UCLUST (#3896), USPEX (#3767)
- added additional easyconfigs for various supported software packages, including:
  - Mono 4.6.2.7, PGI 16.10, ROOT 6.08.02
- various enhancements, including:
  - trivial style fixes (#3878, #3893, #3895)
- various bug fixes, including:
  - add X11 develop libs to ncview easyconfig (#3881)
  - fix source_urls in pkg-config easyconfigs (#3907)
  - install numpy/scipy as .egg to ensure shadowing of numpy/scipy in parent Python installation (#3921)
  - fix broken source URL + homepage for Infernal (#3928)
  - fix test that verifies dumped easyconfig, take into account that dumped dependencies may include hardcoded dependency (#3932)
  - include libGLU as dependency in freeglut easyconfigs with recent Mesa (#3936)
  - add patch for FreeSurfer to fix issue with MATLAB 2013 (#3954)


v3.0.1 (November 30th 2016)
---------------------------

bugfix release
- added example easyconfig files for 7 new software packages:
  - Cookiecutter (#3827), ETE (#3857), findhap (#3860), graphviz (Python bindings, #3826), LoFreq (#3856),
    PhyloBayes-MPI (#3859), XGBoost (#3849)
- added additional easyconfigs for various supported software packages
- various enhancements, including:
  - add ipywidgets and widgetsnbextension extensions to IPython 5.1.0 easyconfigs (#3818, #3823)
  - run dadi test suite as a sanity check command (#3858)
- various bug fixes, including:
  - fix incorrect descriptions for ifort (#3817)
  - fix modulename for Jinja2 and Pygments (#3823)
  - fix download URL in BLAST 2.2.26 easyconfig (#3861)


v3.0.0 (November 16th 2016)
---------------------------

feature release
- backwards incompatible changes:
  - archive easyconfigs using old inactive toolchains
    - see #3725, #3728, #3729, #3730, #3731, #3732, #3733, #3735, #3736, #3737, #3738
    - only taken into account by EasyBuild if --consider-archived-easyconfigs is enabled
    - no easyconfigs available outside of archive for QLogicMPI + 15 toolchains:
      - ClangGCC, cgmpich, cgmpolf, cgmvapich2, cgmvolf, cgompi, cgoolf, gmacml,
        goalf, gpsmpi, gpsolf, iiqmpi, intel-para, ipsmpi, iqacml
  - fix name in PyTables easyconfigs (was pyTables) (#3785)
- added example easyconfig files for 32 new software packages:
  - 3to2 (#3655), Anaconda2 (#3337), Anaconda3 (#3337), ART (#3724), atools (#3631),
    awscli (#3645), behave (#3751), Blosc (#3785), bokeh (#3790), Cantera (#3655),
    Cargo (#3764), dadi v1.7.0, distributed (#3786), ea-utils (#3634), Elk (#3644),
    FGSL (#3638), gencore_variant_detection (#3337), help2man (#3768), lbzip2 (#3791),
    Log-Log4perl (#3574), Minimac2 (#3783), mypy (#3694), OBITools (#3573),
    perl-app-cpanminus (#3337), PGDSpider (#3625), prokka (#3755), Reads2snp (#3609),
    spglib-python (#3620), SUNDIALS (#3654, #3655), SelEstim (#3626), XMLStarlet (#3797),
    x265 (#3090)
- added easyconfigs for new 'intelcuda' toolchain (#3750)
- added new easyconfigs for existing toolchains:
  - goolfc/2016.08 (#3796), goolfc/2016.10 (#3666, #3775), intel/2017.00 (#3543), intel/2017.01 (#3757),
    iomkl/2016.09-GCC-4.9.3-2.25 (#3680), iomkl/2016.09-GCC-5.4.0-2.26 (#3772)
- added additional easyconfigs for various supported software packages, including:
  - Advisor 2017 update 1, Amber 16, ATLAS 3.10.2, GROMACS 2016, Octave 4.0.3,
    OpenFOAM 3.0.1, PyTables 3.3.0, QuantumESPRESSO 6.0, Rust v1.12.1
- various other enhancements, including:
  - STREAM builds using ~56GiB and ~111GiB (#3670)
- various bug fixes, including:
  - fix source spec in VASP easyconfig, ensure static linking with Intel MKL (#3381)
  - fix source URL in GCCcore 6.2.0 easyconfig (#3608)
  - correct STAMP dependency in i-cisTarget, must be 1.3 (#3613)
  - consistently specify to use -fgnu89-inline flag in M4 1.4.17 easyconfigs (#3623)
  - fix source URLs for Cython (#3636)
  - add Bison as build dep and M4 as runtime dep for flex 2.6.0 (#3656)
  - enable parallel building of flex 2.6.0 (#3630)
  - add zlib and bzip2 dependencies to X11 bundle (#3662)
  - use 'letter_dir_for' function rather than just grabbing 1st letter of software name in easyconfigs tests (#3664)
  - add patch to fix typo in GRIT 2.0.5 (#3675)
  - fix typo in patch for WRF 3.8.0 (#3702)
  - use $CC,$CXX rather than $I_MPI_CC,$I_MPI_CXX in patch for OpenFOAM 4.0 (#3703)
  - patch FLTK to fix 'undefined symbol' issue when building Octave (#3704)
  - include Pillow as a proper dep for scikit-image rather than as extension, since it has deps itself (#3723)
  - update Travis config w.r.t. changes framework config defaults and required Lmod version (#3773)
  - don't limit parallellism to 4 in recent GCC easyconfigs (#3776, #3777, #3778)
  - include M4 as dependency in flex 2.5.39 easyconfigs + fix consistency issues (#3782)
  - consistently apply patch for ncurses 6.0 (#3792)
  - eliminate dependency on mpi-mic-rt in ifort (#3793)
  - include Autotools as build dependency in all beagle-lib and MrBayes easyconfigs (#3794)
  - make OpenBLAS use the LAPACK version specified in the easyconfig (v0.2.18 & v0.2.19) (#3795)
  - include original download URL for ISL source tarball in GCC easyconfigs (#3798)
  - disable installing libiberty for binutils built with intel toolchain (#3802)

v2.9.0 (September 23rd 2016)
----------------------------

feature release
- added example easyconfig files for 88 new software packages:
    ADMIXTURE (#3359), angsd (#3593), ASHS (#3429), AutoDock (#3465), AutoGrid (#3466), BayeScan (#2748, #3356),
    BayPass (#3451), Bazel (#3379), Blender (#3553, #3558), bwakit (#3567), BXH_XCEDE_TOOLS (#3410), CastXML (#3403),
    CHASE (#3304), configparser (#3368, #3424), configurable-http-proxy (#3380), cppcheck (#3508), CRPropa (#779),
    DicomBrowser (#3432), DMTCP (#3422), entrypoints (#3368, #3424), f90cache (#3570), fastPHASE (#3343),
    fastQValidator (#3192), FFindex (#1135), FragGeneScan (#1198), gdc-client (#3399), gflags (#3417), glog (#3417),
    GRIT (#3561), H5hut (#3431), HAPGEN2 (#3344), HEALPix (#779), IMOD (#1187, #3347), IronPython (#607),
    jhbuild (#3476), jupyterhub (#3380), Keras (#3581), khmer (#1158), LeadIT (#3345, #3599), LevelDB (#3417),
    libbitmask (#3481), libcpuset (#3481), LMDB (#3417), log4cplus (#1136), MACH (#3346), Mako (#3460), Maq (#3428),
    MetaGeneAnnotator (#3307), Metal (#3324), Mono (#607), MyMediaLite (#607), nco (#2575), nose-parameterized (#3579),
    OpenEXR (#3553), OpenImageIO (#3553), path.py (#3368, #3424), PCRE2 (#3325), pftoolsV3 (#3317), PHASE (#3385),
    PLAST (#3288), PLINKSEQ (#3402), POV-Ray (#3551), ProbABEL (#3108), prompt-toolkit (#3368, #3424),
    protobuf-python (#3563), PSORTb (#3317), py (#3403, #3482), pygccxml (#3403, #3482), pyGIMLi (#3403, #3482),
    pyplusplus (#3403, #3482), PyQt5 (#3533), Pyro4 (#3527), pytest (#3403, #3482), QCA (#3595), RDMC (#1137),
    S.A.G.E. (#3427), SDL2 (#3551), SHORE (#3531), SimVascular (#3555), SortMeRNA (#3326), SUMACLUST (#3316),
    SUMATRA (#3316), Text-CSV (#3323), Triangle (#3403), VEGAS (#3457), VirSorter (#3307), wcwidth (#3368, #3424),
    X11 (#3340)
- added new easyconfigs for existing toolchains:
    - CrayGNU + CrayIntel 2016.06 (#3377)
    - foss 2016.07 (#3517) + 2016.09 (#3523),
    - iomkl 2016.07 (#3458)
    - pomkl 2016.09 (#3516)
- added additional easyconfigs for various supported software packages, including:
    FFTW 3.3.5, GCC 4.9.4 + 6.2.0, GROMACS 5.1.4, IPython 5.1.0, LLVM 3.9.0, Mesa 12.0.1, OpenCV 3.1.0, OpenFOAM 4.0,
    OpenMPI 2.0.1, ParaView 5.1.2, PGI 16.7, QuantumESPRESSO 5.4.0, Qt5 5.7.0, R-bundle-Bioconductor 3.3, VTK 7.0.0,
    Yade 2016.06a
- various enhancements, including:
    - adjust PSI4 easyconfigs for updated easyblock (#3312)
    - clean up libxml2 easyconfigs according to updated libxml2 easyblock (#3479, #3509)
    - significantly speed up verifying of dumped easyconfig by resorting to 'shallow' parsing (#3520)
    - include sanity checks for all MATIO config files (#3528)
    - remove --with-tcl-config/--with-tk-config from R easyconfig, already done in R easyblock (#3580)
- various bug fixes, including:
    - disable testing in all ParaView 4.4.0 easyconfigs, required download is too much of a PITA (#3178)
    - add SQLite as dep to GDAL 2.1.0 easyconfigs (#3342)
    - add zlib/SQLite/LibTIFF as dep to R 3.3.1 easyconfigs (#3342)
    - add bzip2 as a dependency of freetype (#3464)
    - specify correct MPI target in FDS easyconfigs (#3488)
    - add tcsh as OS dep in NAMD easyconfigs (#3491)
    - statically link ncurses/libreadline in Lua easyconfig with 'dummy' toolchain (#3545)
    - add M4 as dep for flex 2.6.x (#3542, #3550)
    - add bzip2 and libxcb dependencies to FFmpeg 3.x easyconfigs (#3548)
    - make sure & check that Graphviz does not install Tcl bindings in Tcl install prefix (#3556)
    - add missing patches for extensions in Python 3.x easyconfigs (#3557)
    - add missing XZ dependency to libxml2 2.9.4 easyconfigs, change gettext dep of XZ to build-only dep (#3568)
    - enable running of tests for HPCG (#3578)
    - fix buildopts in tabix easyconfigs (#3584)


v2.8.2 (July 13th 2016)
-----------------------

bugfix release
- added example easyconfig files for 54 new software packages:
    Amber (#3200), Bullet (#3175), CONTRAlign (#690), Cluster-Buster (#3191), damageproto (#3222, #3308),
    DCA++ (#3219), EIGENSOFT (#3147, #3163), Extrae (#507), fdstools (#3237), ffnet (#3273), GP2C (#3257),
    Gurobi (#3239), gc (#3202, #3261), gputools (#546), IMa2p (#3300), IOzone (#3253), i-cisTarget (#3191, #3194),
    icmake (#3243), io_lib (#3255), Kent_tools (#3191), libcmaes (#3256), libpsortb (#3259), libxsmm (#3099),
    MEGACC (#3263), MM-align (#1428), MOSAIK (#880), MView (#1345), MySQL-python (#3172, #3189), magma (#3219),
    mrFAST (#862), mrsFAST (#862), mysqlclient (#3172, #3232), NTL (#3183), PARI-GP (#3257), Paraver (#508),
    psutil (#3171, #3231), PSI4 (#3293), Qwt (#3157), RMBlast (#3142), STAMP (#3191), Seqmagick (#3264),
    splitRef (#946), TAU (#509), TRF (#3141), TVB (#3053, #3247, #3251), TVB-deps (#3053, #3247, #3251),
    tvb-data (#3053, #3247, #3251), tvb-framework (#3053, #3247, #3251), tvb-library (#3053, #3247, #3251),
    VampirTrace (#509), Voro++ (#3174), wheel (#3235), wxPropertyGrid (#508), xonsh (#3159)
- added easyconfigs for update of common toolchains: foss/2016b (#3271), intel/2016b (#3270)
- added new easyconfigs for existing toolchains: CrayGNU 2016.03 & 2016.04 (#3291), foss/2016.06 (#3184), intel/2016.03-GCC-5.4 (#3185)
- added additional easyconfigs for various supported software packages, including:
    Boost 1.61.0, GCC 5.4.0, GROMACS 3.3.3, HDF5 1.8.17, netCDF 4.4.1, numpy 1.11.0, Perl 5.24.0, PETSc 3.7.2,
    Python 2.7.12, Python 3.5.2, Qt 3.3.8, R 3.3.1
- various enhancements, including:
    - use check_conflicts function in easyconfigs tests (#2981)
    - also include vsc-install in list of sources for recent EasyBuild easyconfigs, to support offline installation (#3203)
    - enable building of libmysqld.* in MariaDB easyconfigs (#3230)
    - add ALDEx2, phyloseq to bundles for Bioconductor 3.2 (#3211, #3241)
    - add biom, geepack, lubridate, pim to list of R 3.2.3 extensions (#3186, #3211, #3275)
- various bug fixes, including:
    - add patch for Boost 1.60.0 to fix bug resulting in TypeError (#3162)
    - add fftw dependency to CP2K 2.6.0 easyconfigs using CrayGNU (#3176)
    - fix location of libelf.h, only (also) installed as include/libelf.h is there's no /usr/include/libelf.h (#3201)
    - fix software name for Guile & GnuTLS (was 'guile' & 'gnutls') (#3207)
    - added missing space in Geant4 configopts to specify -DGEANT4_INSTALL_DATA (#3209)
    - fix Cython download URL in Python 2.7.11 easyconfigs (#3212)
    - add missing build deps for X stack in easyconfigs using foss/2016a or intel/2016a (#3222, #3308)
    - fix overruling of exts_list in Perl 5.22.2 easyconfig (#3224)
    - add missing dependency on GMP in R 3.2.3 easyconfigs (#3226)
    - don't hard specify toolchain for binutils build dep in likwid easyconfig, since it matches parent toolchain (#3240)
    - fix homepage & source_urls in HMMER easyconfigs (#3246)
    - stick to pydot 1.1.0 for Python 2.6 in Travis config (#3282)
    - add python-dev(el) to osdeps in GC3Pie easyconfigs (#3310)


v2.8.1 (May 30th 2016)
----------------------

- added example easyconfig files for 13 new software packages:
    drFAST (#906), git-lfs (#2478), grabix (#3127), JWM (#3007), libcroco (#3007), librsvg (#3007), MaCH (#3136),
    mayavi (#3106), OpenMM (#2762), Pysam (#3080), SeqPrep (#3097), vt (#3128), wkhtmltopdf (#3098)
- added new easyconfigs for existing toolchains: intel/2016.03-GCC-4.9 (#3088)
- added additional easyconfigs for various supported software packages, including:
    Boost 1.61.0, ESMF 7.0.0, Inspector 2016 update 3, IPython 4.2, netCDF-C++4 4.3.0, netCDF-Fortran 4.4.4, Perl 5.22.2, VTune 2016 update 3
- various bug fixes, including:
    - apply libreadline patch to fix bug triggering segmentation fault (#3086)


v2.8.0 (May 18th 2016)
----------------------

feature + bugfix release
- added example easyconfig files for 69 new software packages:
    ALPS (#2888), annovar (#3010), BayeScEnv (#2765), BayesAss (#2870), BerkeleyGW (#2925), Blitz++ (#2784, #3004),
    bam-readcount (#2850), Commet (#2938), CrossTalkZ (#2939), cuDNN (#2882), DBus (#2855), DFT-D3 (#2107),
    DIAL (#3056), dask (#2885), dbus-glib (#2855), FFLAS-FFPACK (#2793), FLAC (#2824), FLANN (#3015, #3029),
    FLEUR (#3043), GConf (#2855), GROMOS++ (#1297), GST-plugins-base (#2855), GStreamer (#2855), GTOOL (#2805),
    Givaro (#2793), gdist (#2935), gromosXX (#1297), HISAT2 (#2809), i-PI (#2940), Kraken (#3037, #3041), LAME (#2823),
    LASTZ (#3002), LinBox (#2793), Loki (#2839), libQGLViewer (#2923, #3008), libXxf86vm (#2855),
    MDSplus (#2787, #2838, #3027), MRIcron (#2831), Mawk (#2732), minieigen (#2839), mpmath (#3058), NBO (#3047, 3048),
    NGS (#2803), NGS-Python (#2810), ncbi-vdb (#2808), OptiX (#2795), PCL (#3024), PEAR (#2731), PLplot (#2990),
    Postgres-XL (#2891), PyGTS (#2969), RSeQC (#2788), Rust (#2920, #2943), rainbow (#2730), SHAPEIT (#2806),
    SIONlib (#2908), Saxon-HE (#2773), Singularity (#2901), SoX (#2825), Subread (#2790), SuperLU (#2665),
    travis (#2953), VASP (#2950), Wannier90 (#2906, #3042), wget (#3041), wxPython (#2855), xf86vidmodeproto (#2855),
    Yade (#2839), Yambo (#2932)
- add test configuration for Travis (#2942, #2944, #2954, #3061)
- added easyconfigs for new PGI-based toolchains
    - pomkl/2016.03 (#2899, #2900, #3046), pomkl/2016.04 (#3044), CrayPGI/2016.04 (#2927)
- added new easyconfigs for existing toolchains:
    foss/2016.04 (#3013), intel/2016.02-GCC-5.3 (#2523), intel/2016.03-GCC-5.3 (#3009)
- added additional easyconfigs for various supported software packages: version updates, different toolchains, ...
    incl. CGAL 4.8, Clang 3.8.0, icc/ifort 2016.2.181 & 2016.3.210, imkl 11.3.2.181 & 11.3.3.210, impi 5.1.3.181,
          LLVM 3.8.0, OpenCV 2.4.12, pandas 0.18.0, Qt 5.6.0, Scalasca 2.3, Score-P 2.0.1, SuiteSparse 4.5.2, WRF 3.8
- various other enhancements, including:
    - enhance ORCA easyconfig for compatibility with SLURM (#1819)
    - enable -fPIC in GraphicsMagick easyconfig, required by Octave (#2764)
    - clean up binutils easyconfigs to use binutils easyblock (#3006)
    - add include/GraphicsMagick to $CPATH in GraphicsMagick easyconfigs (#3034)
    - update SuiteSparse easyconfigs according to updated SuiteSparse easyblock (#3050)
- various bug fixes, including:
    - fix Perl extensions download urls (#2738)
    - add Autoconf as build dep for GCCcore (#2772)
    - fix versions of extensions in Bioconductor 3.2 bundles (#2769)
    - fix (build) deps for intel/2016a easyconfigs of cairo, libXext, libXrender (#2785, #2874)
    - use 'env' wherever preconfig/build/installopts is used to set environmental variables (#2807, #2811, #2812)
    - add zlib as explicit dep in Tk easyconfigs (#2815)
    - consistently specify to use -fgnu89-inline flag in M4 1.4.17 easyconfigs (#2774, #2779, #2816)
    - fix homepage and description in Pygments easyconfigs (#2822)
    - include pkg-config as build dependencies for libXau, libXdmcp, libxcb (#2827)
    - consistently use XORG_*_SOURCE constants (#2829, #2830, #2848)
    - update source URLs in ScientificPython easyconfig files (#2847)
    - add checksums in SuiteSparse easyconfigs (#2849)
    - fix build deps for GObject-Introspection (#2852)
    - correctly specify Perl location in git easyconfig (#2866)
    - fix bitstring 3.1.3 download URL in Python easyconfigs, source tarball on PyPI disappeared (#2880)
    - fix Perl dependency in worker easyconfig, it requires non-standard Perl modules (#2884)
    - add XZ as dependency in Python 3.5.1 easyconfigs, required for lzma (#2887)
    - fix download URL for packmol (#2902)
    - drop usempi toolchain in numexpr easyconfigs, not needed (#2937)
    - fix use of resolve_dependencies in tests according to changes in framework (#2952)
    - add dependency extensions for MarkupSafe and jsonscheme in IPython 3.2.3 easyconfigs (#2967)
    - add patch for matplotlib 1.5.1 to fix Tcl/Tk library paths being used (#2971)
    - add xproto build dependency for makedepend v1.0.5 (#2982)
    - disable parallel build for Doxygen (#2986)
    - fix source URLs for FreezeThaw and Tie::Function extensions for Perl v5.22.1 (#2988)
    - add sed command in worker easyconfig files to fix module_path in conf/worker.conf (#2997, #3000)
    - drop toolchainopts from Eigen easyconfigs, since it is headers-only (#3025)
    - clean up dummy bzip2 easyconfig, define buildopts rather than defining $CC and $CFLAGS via os.environ (#3036)
    - use %(pyshortver)s template rather than hardcoding 2.7 in VTK easyconfigs (#3052)
    - correct install location of OpenCV Python bindings (#3054)
    - include XZ as dependency for libunwind (#3055)
    - add patch to fix broken OpenSSL tests due to expired certificates (#3057)
    - fix broken link to VSC website in license headers (#3062)


v2.7.0 (March 20th 2016)
------------------------

feature + bugfix release
- added example easyconfig files for 63 new software packages:
    ATSAS (#616, #2587), astropy (#2724, #2727), attr (#2706), BamUtil (#2654), BBMap (#2322), BH (#2508),
    CheMPS2 (#2445), CosmoloPy (#2723, #2727), csvkit (#2639), Firefox (#2648), FreeXL (#2422), GL2PS (#2667),
    Glade (#2631), htop (#2538), IGV (#2019), IGVTools (#2019), ImageMagick (#2438), jModelTest (#2529),
    KEALib (#2420), libcerf (#2656), libgcrypt (#2201), libglade (#2631), libgpg-error (#2201), libspatialite (#2431),
    LittleCMS (#2438), MAST (#2542), MLC (#2577), MPJ-Express (#2529), mutil (#2201), neon (#758), NextClip (#2544),
    npstat (#2686, #2703), Octopus (#2643), QuickFF (#2721), p4vasp (#2328), PCMSolver (#2445), PFFT (#2643),
    PHYLIP (#2694), pkgconfig (#2475, #2476), Platypus (#2618), pplacer (#1056), PRINSEQ (#2437, #2444, #2585),
    PyFFmpeg (#2501, #2519), PyGObject (#2443), PyGTK (#2443), PyOpenGL (#2628), pyringe (#2533), qrupdate (#2675),
    rgeos (#2635), rpmrebuild (#2402), shift (#2201), SNAPE-pooled (#2688), SNPhylo (#2701), sratoolkit (#2715),
    STAR-Fusion (#2463), statsmodels (#2719), StringTie (#2527), synchronicity (#2508), testpath (#2461),
    USEARCH (#2537), VarScan (#2464), vsc-install (#2165), Whoosh (#2725), xprop (#2645)
- added new easyconfigs for existing toolchains:
    intel/2016.02-GCC-4.9 (#2620), gmpolf/2016a & gmvolf/2016a (#2589)
- stable Cray-specific easyconfigs
    - delete deprecated Cray toolchains and easyconfig files (#2400)
    - don't hardcode PrgEnv version, remove craype and fftw components in Cray toolchains (#2554)
    - remove -XC versionsuffix for stable definitions for Cray* toolchains (#2714)
    - support for various software packages with CrayGNU and CrayIntel toolchains: CP2K, GROMACS, WRF
- added additional easyconfigs for various supported software packages: version updates, different toolchains, ...
    including BWA 0.7.13, CMake 3.4.3, GATE 7.2, GROMACS 5.1.2, Mesa 11.1.2, netCDF 4.4.0, Perl 5.22.1, Python 3.5.1,
              R 3.2.3, R-bundle-Bioconductor 3.2, scipy 0.17.0, SuiteSparse 4.5.1
- various other enhancements, including:
    - copy contrib dir in Velvet easyconfigs so scripts are also available (#2456)
    - redefine matplotlib 1.5.1 easyconfig as a bundle, also include cycler extension (dep for matplotlib) (#2470)
    - add bitstring extension to Python 2.7.11 easyconfigs (#2471)
    - enable building of MetaVelvet in Velvet 1.2.10 easyconfigs (#2473)
    - add custom sanity check for libjpeg-turbo (#2480)
    - add Velvet easyconfigs that include BioPerl dependency, so VelvetOptimizer can use it (#2495, #2729, #2733)
    - add source URL in RAxML 7.2.6 easyconfigs (#2536)
    - update MPICH easyconfigs to use new MPICH easyblock (#2589)
    - free libX11 & co from unneeded Python dependency/versionsuffix (#2549, #2563, #2605, #2664)
    - add '--enable-utf --enable-unicode-properties' configure options in PCRE easyconfigs (#2561)
        - required for latest R versions
    - add HCsnip, metagenomeSeq in Bioconductor 3.1 bundles (#2553, #2578)
    - add additional extensions in R 3.2.x easyconfigs that are required for extra Bioconductor extensions (#2547, #2556)
    - update psmpi easyconfig files to use the new psmpi easyblock (#2619)
    - add easyconfig for Python 2.7.11 on top of X11-enabled Tk (#2614, #2621)
    - add virtualenv as extension in Python 2.7.11 easyconfigs (#2660)
- various bug fixes, including:
    - fix software name for GTK+ (was 'gtk+'), PyCairo (was 'pycairo') and Gdk-Pixbuf (was 'gdk-pixbuf') (#2468)
    - don't hardcode CC/CXX in OpenMPI easyconfigs (#2472)
    - remove Google Code source URL for mpi4py (#2474)
    - rename ffmpeg to FFmpeg (#2425, #2481)
    - use available easyblock for flex (#2486)
    - fix determining list of easyconfigs in unit test suite, don't assume locations are correct (#2530)
    - fix specifying DB dependency in DB_File easyconfigs (#2539)
    - remove hard-coded -xSSE4.2 for numpy/scipy with Intel compilers (#2546)
    - fix license headers: Hercules foundation is now FWO (#2550)
    - add --with-zlib configure argument in libxml easyconfigs (#2555)
    - don't hardcode optarch=True in xextproto/xtrans easyconfigs (#2601)
    - change toolchain version to '' in easyconfigs that use dummy toolchain and include dependencies (#2612)
    - GLib doesn't require libxml2 with Python bindings (#2632)
    - add patch file to imkl 10.2.6.038 32-bit easyconfig to fix installer not being able to deal with '--' in build path (#2634)
    - add missing 'pkgconfig' dependency for h5py (#2476, #2650)
    - correct software name in FastQC easyconfigs (was 'fastqc'), use 'dummy' toolchain for all FastQC version (#2657, #2666)
    - add missing libxml2 dependencies in GLib easyconfigs (#2658)
    - fix Xerces-C++ download location (#2668)
    - enable XML::Bare extension in all Perl easyconfigs (#2672)
    - update dead link for SuiteSparse (#2679)
    - remove custom exts_filter in easyconfigs used PythonPackage easyblock (#2683, #2685)
    - add M4 as build dep for binutils & flex (#2681)
    - add missing dependencies in Python 3.5.x easyconfigs: SQLite, Tk, GMP (#2704)
    - fix (OS) deps, add checksums, remove parameter definition with default values in MVAPICH2 easyconfigs (#2707)
- style cleanup in various easyconfigs (#2378, #2387, #2395, #2396, #2488-#2493, #2496-#2500, #2502-#2504, #2602)
    - working towards automated style review of pull requests

v2.6.0 (January 26th 2016)
--------------------------

feature + bugfix release
- add easyconfigs for foss/2016a and intel/2016 common toolchains (#2310, #2311, #2339, #2363)
    incl. easyconfigs for Boost, CMake, Python, Perl using these toolchains
- added example easyconfig files for 21 new software packages:
    BLASR (#922), BioKanga (#2247), BoltzTraP (#2365), basemap (#2221), CppUnit (#2271), EggLib (#2335),
    FLASH (#2281), GLM (#2288), hub (#2249), MACS2 (#1983), MotEvo (#843), numba (#2243), PGI (#1833, #2367),
    PLY (#2305), PaStiX (#2319, #2326), patchelf (#2327), pip (#2284), RSEM (#2316), RcppArmadillo (#2289),
    SCDE (#2289), slepc4py (#2318)
- added additional easyconfigs for various supported software packages: version updates, different toolchains, ...
    including BamTools 2.4.0, Boost 1.60.0, Clang 3.7.1, DOLFIN/FFC/FIAT/Instant/UFL 1.6.0, GATE 7.0, GCC 5.3.0,
              LLVM 3.7.1, pandas 0.17.1, PETSc 3.6.3, SAMtools 1.3, scipy 0.16.1, SLEPc 3.6.2, Trilinos 12.4.2,
              Trinity 2.1.1, VTK 6.3.0
- various other enhancements, including:
    - added new Cray* toolchain versions with pinned dependency versions (#2222)
    - don't hardcode .so, use SHLIB_EXT constant instead (#2245)
    - add custom sanity check in GEOS easyconfigs (#2285)
- various bug fixes, including:
    - add Autotools (M4) as a build dependency in GMP v6.x easyconfigs (#2096)
    - remove argparse from list of extensions in Python 3.2+ easyconfigs, since it became part of stdlib (#2323)
- various style fixes, including:
    - get rid of tabs (#2302)
    - remove trailing whitespace (#2341)

v2.5.0 (December 17th 2015)
---------------------------

feature + bugfix release
- add GCCcore easyconfig that can be used as base for all compilers (without getting in the way) (#2214)
    - + easyconfig for GCC/4.9.3-2.25: bundle of GCCcore 4.9.3 and binutils 2.25
    - intended to replace the GNU toolchain
- added example easyconfig files for 39 new software packages:
    DIRAC (#2212), GeoIP (#2172, #2185), GeoIP-C (#2172, #2185), graph-tool (#1591), gtkglext (#2217),
    Intel Advisor (#2210), InterProScan (#2225, #2227, #2234), intltool (#2136), kallisto (#2173), LibUUID (#1930),
    LuaJIT (#2153), libXcursor (#2136), libXrandr (#2136), libXtst (#2143), libdap (#1930), libtasn1 (#2208),
    libxkbcommon (#2136), MRtrix (#2217, #2218), MultiNest (#2166, #2168), Nipype (#2150), PPfold (#2183, #2187),
    p11-kit (#2208), pangox-compat (#2217), Qt5 (#2136), randrproto (#2136), rhdf5 (#2175), Stampy (#2180, #2182),
    scikit-umfpack (#2061), scp (Python pkg) (#2196), sleuth (#2175), traits (#2150), vincent (#2169, #2185),
    XKeyboardConfig (#2136), xcb-util (#2136), xcb-util-image (#2136), xcb-util-keysyms (#2136),
    xcb-util-renderutil (#2136), xcb-util-wm (#2136), zlibbioc (#2175)
- added new easyconfigs for existing toolchains:
    intel/2015.08 (#2194), intel/2016.00 (#2209), intel/2016.01 (#2219), iomkl/2015.03 (#2155)
- added additional easyconfigs for various supported software packages: version updates, different toolchains, ...
    including CMake 3.4.1, HDF5 1.8.16, netCDF 4.3.3.1, netCDF-Fortran 4.4.2, numpy 1.10.1, Octave 4.0.0,
              OpenFOAM 3.0.0, OpenFOAM-Extend 3.2, Python 2.7.11
- various other enhancements, including:
    - add tidyr to R 3.2.1 easyconfigs (#2174)
    - enable C++ support in MIGRATE-N (#2178)
    - also installed shared libraries for AMD and UMFPACK in SuiteSparse (#2061)
    - fix software name for ParaView (was: Paraview) (#2132)
    - enable building of shared libraries for binutils (#2133)
    - harden binutils built with dummy toolchain by linking to system libraries via RPATH (#2228)
    - enhance easyconfig unit tests to check that each easyconfig file is in the right subdirectory (#2232)
- various bug fixes, including:
    - fix ALADIN patch file to not use relative paths, and adjust list of ALADIN sources accordingly (#2207, #2213)
    - rename patch files for OpenFOAM to be in line with other patches (#2226)
    - fix typo in bzip2 source URLs (#2204)
    - force linking of ncurses in libreadline (#2206)
    - enable -fPIC in all zlib 1.2.8 easyconfigs (#2220)
    - move Net-LibIDN/SRA-Toolkit/bbftpPRO/o2scl easyconfigs to right location (#2232)
    - restrict parallel build in OpenFOAM-Extend easyconfigs via 'maxparallel', not 'parallel' (#2233)

v2.4.0 (November 10th 2015)
---------------------------

feature + bugfix release
- added example easyconfig files for 45 new software packages:
    animation (#2007), ANSYS CFD (#1969), ANTLR (#1191, #1980), APR (#1970), APR-util (#1970), Aspera Connect (#2005),
    ChIP-Seq (#2119), deap (#2082), DISCOVARdenovo (#1932), FastQC (#1984), fontsproto (#1618, #2038),
    GraphicsMagick (#2007), HBase (#1990), ISIS (#1972), libedit (#293), libfontenc (#1618, #2038), libGLU (#1627),
    libXdamage (#1618, #2038), libXfont (#1618, #2038), LLVM (#1620, #1989, #2031), MIGRATE-N (#1944), MIRA (#1938),
    mympingpong (#2049), MySQLdb (#2011), NCO (#1191, #1980), NIPY (#2064), Nilearn (#2064), NiBabel (#2064),
    PBZIP2 (#1038), PIL (#2062), PhyloCSF (#2018), pycairo (#2085), pydicom (#2063), Salmon (#2051), Samcef (#1941),
    scikit-image (#1974, #2006), Serf (#1970), SSAHA2 (#1039), Subversion (#1970), SWASH (#2059, #2128), time (#1954),
    Trim_Galore (#1984), Trimmomatic (#1987), WEKA (#1986), x264 (#2017)
- added new easyconfigs for existing toolchains: gimkl/2.11.5 (#2093)
- added additional easyconfigs for various supported software packages: version updates, different toolchains, ...
    including Clang + LLVM 3.7.0, CMake 3.3.2, CUDA 7.5.18, hanythingondemand v3.0.1, Mesa 11.0.2, mpi4py v2.0.0,
    ncurses 6.0, OpenFOAM 2.4.0, Paraview 4.4.0, Python 3.5.0, QuantumESPRESSO v5.2.1
- various other enhancements, including:
    - enable 'pic' toolchain option in libxml2 easyconfigs (#1993)
    - extend list of R libraries included in R v3.2.1 easyconfigs (#2042, #2046, #2067, #2072)
    - add Rsubread in Bioconductor easyconfigs (#1971)
- various bug fixes, including:
    - fix software name for BEEF (was 'libbeef') (#1679)
    - add patch to install qhull.pc (pkgconfig) file with Qhull (#1975)
    - don't enable experimental nouveau API in libdrm easyconfigs (#1994)
    - fix dev version to follow PEP-440, as required by recent setuptools versions (#1997)
        - required to avoid that setuptools transforms the version itself
        - see also https://www.python.org/dev/peps/pep-0440/#developmental-releases
    - correct homepage in Cufflinks easyconfigs (#2060)
    - fix imports for set_tmpdir in easyblock unit tests after function was moved in EasyBuild framework (#2097)
    - add patch for Tk 8.6.4 to fix problem with tk.tcl not being found (#2102)
    - don't use %(version)s template in toolchain version, causes problems with HierarchicalMNS (#2104)
    - fix sanity check paths in several easyconfig (#2109, #2120, #2121, #2125)
        - required because of bug fix in sanity_check_step implementation
        - CVXOPT, h5py, LIBSVM, libunistring, MDP, monty, PhyloCSF, Pyke, pandas, pycosat, pyhull, pymatgen,
          python-dateutils, Seaborn, Theano, XML-LibXML, XML-Simple


v2.3.0 (September 2nd 2015)
---------------------------

feature + bugfix release
- added example easyconfig files for 19 new software packages:
    ATK (#1780), Atkmm (#1780), cairomm (#1780), GLibmm (#1780), GlobalArrays (#1868), gdk-pixbuf (#1780),
    gtk+ (#1780), Gtkmm (#1780), libbeef (#1827), libsigc++ (#1780), libsodium (#1876), MACS (#1869), MCR (#1677),
    Molpro (#1880), NFFT (#1921), p7zip (#1931), Pangomm (#1780), pygraphviz (#1861), pycosat (#1859)
- added new easyconfigs for existing toolchains: GNU/4.9.3-2.25 (#1836), foss/2015b (#1695), intel/2015b (#1696)
    add easyconfigs using this toolchain for BLAST+ 2.2.31, Boost 1.58.0, CP2K 2.6.1, OpenFOAM 2.3.1,
    Perl 5.20.2 + 5.22.0 (bare), Python 2.7.10, R 3.2.1
- added additional easyconfigs for various supported software packages: version updates, different toolchains, ...
    including Boost 1.59.0, CP2K 2.6.1, GCC 5.2.0
- various other enhancements, including:
    - enhance texinfo easyconfig w.r.t. texmf, only use it as a build dependency (#1840)
    - enable building of ld.gold in binutils 2.25 (#1885)
- various bug fixes, including:
    - fix enabling MPI support for h5py 2.5.0 (#1825)
    - fix versions of Bioconductor packages + add a couple extra (#1828, #1852, #1895, #1917)
    - put dummy values in place for builddir/installdir templates in easyconfigs unit tests (#1835)
    - fix easyconfigs unit tests w.r.t. changes made in framework (#1853, #1870, #1874, #1875)
    - add GMP as missing dep in Python 2.7.10 easyconfigs, required for pycrypto extension (#1858)
    - specify installation prefix for SIP (#1888, #1892)
    - add custom sanity check paths in various easyconfigs (#1889, #1894, #1897 - #1909)
        - required because of fix in EasyBuild framework, causing default sanity check paths to be considered
          for extensions that are installed as a module
        - affected easyconfigs include: AnalyzeFMRI, Biggus, bibtexparser, DB_File, DBD-Pg, DBD-SQLite, DBD-mysql,
          evmix, fmri, FPM, GraphViz, gsl, GSSAPI, MDP, mpi4py, ncdf, ncdf4, netifaces, NetLibIDN, networkx,
          ordereddict, Parallel-ForkManager,  paycheck, PyQuante, Pyke, PyQt, r2py, rjags, runjags, scikit-learn,
          SOBAcl, vsc-processcontrol, vsc-mympirun-scoop, XML, XML-Dumper, XML-Parser, XML-Twig, YAML-Syck
    - don't enable 'static' toolchain option in SuiteSparse 4.4.3 easyconfig (#1911)
    - add --exclude unpack options for OpenFOAM 2.3.1 to avoid cyclic symlink causing problems when unpacking (#1925)

v2.2.0 (July 15th 2015)
-----------------------

feature + bugfix release
- added example easyconfig files for 62 new software packages:
    ADF (#899), AutoDock_Vina (#808), bibtexparser (#1726), Biggus (#1770), Bismark (#990), blasr (#1662), BSMAP (#1171),
    Check (#811), Circuitscape (#1222), CONTRAfold (#689), cramtools (#1741), DBD-Pg (#1066), DendroPy (#995),
    EMAN2 (#1737), ETSF_IO (#727), eudev (#1578), fastqc (#1636), FDS (#814, #1617, #1625), FPM (#1440),
    frealign (#1619), g2log (#1035), GC3Pie (#1692, #1756, #1768), GenotypeHarmonizer (#1672), gensim (#1762),
    GraphViz (#1658), hisat (#1674), IDBA-UD (#1045), IMa2 (#828), IMPUTE2 (#824), JUBE (#1396), LAMARC (#760),
    libXScrnSaver (#1653), MATIO (#1004), MuTect (#1483), ncdf (#617), NEMO (#1640), ngspice (#1116),
    ordereddict (#1774), OSU Micro-Benchmarks (#1777), Parallel-ForkManager (#847), pBWA (#1009), PeakSeq (#1412),
    Pillow (#1702), Pindel (#1126), PLUMED (#1596, #1665), PostgreSQL (#1066), PROJ (#1006), PyAMG (#1222), Pyke (#1776),
    rpy2 (#1775), Sailfish (#1035), SCANMS (#1386), Seaborn (#1763), snpEff (#1680), SOBAcl (#1658),
    SPIDER (#1624, #1723), STAR (#1043, #1676), system GCC (#1778), tabix (#1059), tecplot360ex (#1100), Vampir (#512),
    VampirServer (#512), verifyBamID (#1675)
- added easyconfigs for 4 new software bundles:
    R-bundle-Bioconductor (#1573, #1795), R-bundle-devtools (#1621, #1759), R-bundle-extra (#1387, #1759),
    R-bundle-pbd (#1659)
- added easyconfigs for new GNU toolchain (#1346, #1669)
- added new easyconfigs for existing toolchains: goolf/1.5.16, intel/2014.06
- added example easyconfig for generating buildenv module (#1503)
- added additional easyconfigs for various supported software packages: version updates, different toolchains, ...
    including BLAST 2.2.31+, Clang 3.6.1, CUDA 6.x, GCC 4.9.3, GROMACS 5.0.5, HDF5 1.8.15 + 1.8.15-patch1,
              Python 2.7.10, R 3.2.0 + 3.2.1, WRF 3.6.1
- various other enhancements, including:
    - update all ncurses easyconfigs to enable ncursesw and use ConfigureMake easyblock (#1337)
    - update PDT easyconfigs to use PDT easyblock (#1687)
    - add custom sanity_check_paths in libxml2 easyconfigs (#1690)
    - enhance unit tests to also cover EasyConfig.dump() method on all easyconfigs (#1761)
    - include snappy as dependency in Hadoop easyconfigs (#1758, #1773)
    - enable SSL support in CMake v3.2.3 easyconfigs (#1784)
    - add additional extensions in R easyconfigs (#1637)
- various bug fixes, including:
    - add patch file required for correct CUDA-aware OpenMPI v1.7.3 build (#631)
    - fix issue with OpenMPI dependency in ECore easyconfigs (#777)
    - don't run the Bloom tests for Jellyfish, they can randomly fail (#1016)
    - fix source URLs in BioPerl easyconfigs (#1075)
    - patch out svnversion command in Python 2.5.6 to fix build on recent systems (#1576)
    - consistently use https for PyPI URLs in homepage/source_urls (#1616, #1722)
    - include Tcl and Tk as dependencies in R easyconfig (#1623)
    - add patch for installing paycheck as Py3 extension (#1629)
    - add Perl dependency in git 2.x easyconfigs (#1631)
    - fix easyconfig for GMP 6.0.0, don't use 6.0.0a sources (#1635)
    - fix source_urls in QuantumESPRESSO 5.0.2 easyconfigs (#1652)
    - include Tk as dependency in Python 2.7.9 easyconfigs (#1654)
    - include tk-devel is list of OS deps for Python 2.7.9 Cray easyconfigs, make sure 'import Tkinter' works (#1655)
    - drop gpfs versionsuffix and stop using no longer existing --enable-gpfs configopt for recent HDF5 versions (#1657)
    - include missing libxml2 dep in GLib easyconfigs (#1666)
    - fix source URLs in Qt easyconfigs (#1673)
    - fix source URLs for argparse Python extension (#1697)
    - fix source URLs for deap Python extension (#1699)
    - fix easyconfigs unit tests after making ModulesTool a non-singleton class (#1708)
    - fix names for Xmipp easyconfigs and patches (#1719)
    - add patch for Qt 4.8.6 to fix build issue on RHEL6 with intel/2015a (#1734)
    - add M4 as build dep for GCC 5.1.0 (#1735)
    - fix Bioconductor extension versions in R 3.1.3 easyconfigs (#1748)
    - remove custom exts_filter definition from Python 3.4.3 easyconfig (#1765)
    - fix source_urls in netCDF easyconfigs (#1766)
    - fix source_urls in netCDF-C++ and netCDF-Fortran easyconfigs (#1767)

v2.1.1 (May 18th 2015)
----------------------

bugfix release
- added example easyconfig files for 3 new software packages:
    networkx (#1592), Platanus (#1597), SaguaroGW (#1600)
- added new easyconfigs for existing toolchains: ictce/7.3.5, CrayCCE/5.2.40, CrayGNU/5.2.40, CrayIntel/5.2.40
- added easyconfigs using CrayGNU/5.2.25 and CrayGNU/5.2.40 toolchains (#1610, #1611)
- added additional easyconfigs for various supported software packages: version updates, different toolchains, ...
    including Boost 1.58.0, GROMACS 5.0.4, Python 3.4.3
- various bug fixes, including:
    - enable usempi in GROMACS easyconfig using CrayGNU toolchain (as required by GROMACS easyblock) (#1590)
    - use system-provided tcsh when building WRF on Cray systems, to avoid hanging build (#1595)
    - only use 'dynamic' toolchain option, not 'shared', in easyconfigs using Cray toolchain (#1609)

v2.1.0 (April 30th 2015)
------------------------

feature + bugfix release
- added example easyconfig files for 27 new software packages:
    AFNI (#1322, #1521), BCFtools (#1492), getdp (#1518), gmsh (#1518), gtest (#1244), hanythingondemand (#1530),
    mawk (#1369), Minimac (#815), Minimac3 (#1502), monty (#1548), Octave (#1563), pbs_python (#1530), pigz (#1036),
    Pygments (#1536), pyhull (#1539), pymatgen (#1549), PyQt (#1322, #1521), Ray (#1494), requests (#1536),
    seqtk (#1524), SIP (#1322, #1521), S-Lang (#1369), Spark (#1554), spglib (#1549), TINKER (#1465), tmux (#1369),
    Xmipp (#1489)
- added easyconfigs for new (Cray-specific) toolchains (#1538): CrayGNU, CrayIntel, CrayCCE
    - initially supported software (using CrayGNU toolchains): CP2K, GROMACS, HPL, Python + numpy/scipy, WRF (#1558)
    - see also http://easybuild.readthedocs.io/en/latest/Cray-support.html
- added new easyconfigs for existing toolchains: goolf/1.5.16, intel/2014.06
- added additional easyconfigs for various supported software packages: version updates, different toolchains, ...
    including GCC v5.1.0, OpenFOAM v2.3.1, R v3.1.3 and v3.2.0, PETSc/SLEPc v3.5.3, WIEN2k v14.1
- various other enhancements, including:
    - include 'pbr' dependency for 'lockfile' Python extension in Python v2.7.9 easyconfigs + mock/pytz/pandas (#1462, #1540)
    - include SQLite as dependency in Python v2.7.9 easyconfigs (#1468)
    - set $LD_PRELOAD for Hoard and jemalloc (#1470)
    - fix homepage in SCOTCH easyconfigs (#1485)
    - adding missing six/ecdsa dependencies for dateutil/paramiko Python packages in Python easyconfigs (#1504, #1505, #1506, #1507, #1508, #1509, #1510)
    - enable pic toolchain option in expat easyconfigs (#1562)
    - extend list of source URLs for Bioconductor packages in R easyconfigs to include 'release' source URLs (#1568)
- various bug fixes, including:
    - adding missing zlib dependency in all Tcl easyconfig files (#1344)
    - fix homepage in FLUENT easyconfigs (#1472)
    - use --with-verbs rather than deprecated --with-openib in OpenMPI configure options (#1511)
    - stop relying on OS_NAME constant to specify OS dependencies in OpenMPI easyconfigs (#1512)
    - replace use of $root with %(installdir)s to ensure compatibility with module files in Lua syntax (#1532)
    - stop relying on $MKLROOT in ROOT easyconfigs (#1537)
    - use proper Bundle easyblock for biodeps/PRACE (#1566)
    - make source_urls in Cube and Scalasca easyconfigs compatible with --try-software-version (#1574)
    - add patch for Cube to fix configure script w.r.t. Qt dependency, add --without-java-reader configure option (#1574)

v2.0.0 (March 6th 2015)
-----------------------

feature + bugfix release
- added example easyconfig files for 29 new software packages:
    bsoft (#1353), Coot (#1400), Cuby (#1258), DSRC (#1242), Exonerate (#568), fastqz (#1242), FSA (#568),
    fqzcomp (#1242), GAMESS-US (#1153, #1406), Grep (#1308), Hadoop (#1418), Hoard (#1415), IMB (#1284), ISL (#1389),
    jemalloc (#1416), libdwarf (#1283), libelf (#1283), MPC (#1310), multitail (#1327), Pmw (#1403), Quip (#1242),
    rCUDA (#720), SCALCE (#1242), SMALT (#568), STREAM (#1332), worker (#1307), Xerces-C++ (#1370), XQilla (#1370),
    ZPAQ (#1242)
- added easyconfigs for new (common) toolchains
    foss/2015a (#1239), gompi/1.5.16 (#1380), gmvolf/1.7.20 (#1397), goolf/1.7.20 (#1294), intel/2015a (#1238),
    intel/2015.02 (#1393), iomkl/2015.01 (#1325), iomkl/2015.02 (#1401)
- added new software bundle: Autotools (#1385)
- various other enhancements, including:
    - don't define $LDSHARED in zlib easyconfigs (#1350)
        - this fixes the long-standing "no version information available" issue with zlib
        - see also https://github.com/easybuilders/easybuild-framework/issues/108
    - add unit test to check that all extra_options keys are defined in EasyConfig instance (#1378)
    - add source MD5 checksums in all GCC easyconfigs (#1391)
    - speeding up the unit tests by avoiding rereading of same easyconfig file (#1432)
    - fix conflict detection in unit tests by considering build deps separately from runtime deps (#1447)
    - fix toolchain for Bison build dep in MVAPICH2-1.9-iccifort-2011.13.367.eb easyconfig (#1448)
    - use Bundle generic easyblock for HPCBIOS bundles and fix moduleclass (#1451)
- various bug fixes, including:
    - revert version of Libint dependency to 1.1.4 in CP2K v2.5.1 easyconfig (#1144)
    - added Java dependencies to EMBOSS easyconfigs (#1167)
    - don't list 'lto' as a language in GCC easyconfigs (#1286)
        - related to the fixes in the GCC easyblock, see easybuilders/easybuild-easyblocks#535
    - rename libint2 easyconfigs as Libint v2 easyconfigs (#1287)
    - fix mpi4py source_urls in Python easyconfigs (#1306)
    - consistently use CLooG 0.18.0 for GCC 4.8 series (#1392)
    - rename GenomeAnalysisTk easyconfigs to GATK (#1399)
    - include openssl-devel SLES11 OS dependency in cURL/MySQL/Python easyconfigs (#1422)
    - add missing Perl dependency in parallel easyconfigs (#1430)
    - correct name in BLAST+ easyconfigs (#1443)
    - fix name for sparsehash easyconfigs (#1452)

v1.16.2.0 (March 6th 2015)
--------------------------

(no changes compared to v1.16.1.0, simple version bump to stay in sync with easybuild-easyblocks)

v1.16.1.0 (December 19th 2014)
------------------------------

- set default easyblock to ConfigureMake in TEMPLATE.eb (#1277)

v1.16.0.0 (December 18th 2014)
------------------------------

feature + bugfix release
- added example easyconfig files for 39 new software packages:
    ANTs (#1232), BEOPS (#1264), Chhimera (#1255), ctffind (#1249), DBD-SQLite (#1064), DBD-mysql (#1063),
    DIALIGN-TX (#668), ffmpeg (#1088), GObject-Introspection (#1079), GTS (#1079), Graphviz (#1079), GraphViz2 (#1079),
    grace (#1131), HarfBuzz (#1079), HTSlib (#1161), GSSAPI (#1048), Kerberos_V5 (#1048), libevent (#1063),
    libXdmcp (#1129), libXft (#1017), libXinerama (#1017), libXrender (#1017), Maven (#1094), MySQL (#1063),
    Net-LibIDN (#1060), OpenCV (#1088), OpenMD (#1105), Qhull (#1105), Pango (#1079), psmpi (#1245, #1246),
    RELION (#1017), renderproto (#1017), rjags (#1125), runjags (#1125), SPRNG (#1138, #1141), xineramaproto (#1017),
    XML-Dumper (#1061), XML-Parser (#1061), XML-Twig (#1061)
- added easyconfigs for new toolchains
    intel/2014.10 & intel/2014.11 (#1219), intel-para/2014.12 (#1246), gpsolf/2014.12 (#1245), iompi/6.6.4 (#1215)
- include easyblock = 'ConfigureMake' in relevant easyconfigs to deal with deprecation of automagic fallback to ConfigureMake (#1248)
    - see also easybuild-framework#1113 and Automagic fallback to ConfigureMake
- clean up use of deprecated functionality in existing easyconfigs (#1252, #1259)
    - stop using deprecated makeopts, premakeopts and shared_lib_ext
    - check for use of deprecated functionality in easyconfigs unit tests
    - see also http://easybuild.readthedocs.org/en/latest/Deprecated-functionality.html#easyconfig-parameters
- various other enhancements, including:
    - also build fftw3_threads libraries, and enhance sanity checks (#1013)
    - add unit test to verify specified sanity_check_paths (#1119)
    - update and clean up README, refer to http://easybuild.readthedocs.org documentation (#1184, #1224)
- various bug fixes, including:
    - fix unit tests w.r.t. changes in framework (#1146)
    - remove unnecessary build dependencies for OpenMPI (#1168)
    - remove duplicate line in OpenMPI easyconfigs (#1207)
    - fix affiliation/mail address for Fotis in headers (#1237)
    - fix permissions of easyconfig files for consistency (#1210)
    - disable symbol lookup feature in cairo to fix build on SL6 (#1241)
    - fix easyconfig gmpolf toolchain w.r.t. MPICH software name (#1217)
        - see also easybuild-framework#1112
    - fix source_urls for WRF and WPS (#1225)
    - fix and clean up GATE easyconfigs (#1228)
    - fix broken CLHEP builds by including -gcc in $CXXFLAGS (#1254)
    - add patch to fix broken test in Go (#1257)
    - fix name of GMAP easyconfigs, should be GMAP-GSNAP (#1268)
    - fix easyconfig filenames, enhance unit test to check easyconfig filenames (#1271)

v1.15.2.0 (October 7th 2014)
----------------------------

bugfix release
- disable parallel build for slalib (#968)
- fix compatibility of goolfc with HierarchicalMNS by using GCC toolchain for installing CUDA (#1106, #1115)
- fix zlib OS dependency spec for Debian in Boost easyconfigs (#1109)
- fix compatibility of gimkl with HierarchicalMNS by using gimpi subtoolchain (#1110)
- make both GCC and Clang first-class members in Clang-based toolchains to fix compatibility with HierarchicalMNS (#1113)

v1.15.1.0 (September 23rd 2014)
-------------------------------

bugfix release
- minor bug fixes, including:
    - use SHLIB_EXT in GMP/MPFR easyconfigs (#1090)
    - fix TopHat homepage and source_urls since page moved (#1092)
    - make iomkl toolchain compatible with HierarchicalMNS (#1099)

v1.15.0.0 (September 12th 2014)
-------------------------------

feature + bugfix release
- added example easyconfig files for 13 new software packages:
    Circos (#780), DB_File (#913), Emacs (#970), evmix (#1077), GD (#780), gsl (#1077), IOR (#949), JAGS (#1076),
    libgd (#780), MethPipe (#1070), Modeller (#825), NAMD (#835), netCDF-C++4 (#1015)
- added easyconfigs for new toolchains (#986, #1051):
    gimkl/1.5.9, ictce/7.1.2
- added additional easyconfigs for various supported software packages: version updates, different toolchains, ...
    including Python 2.7.8/3.4.1, Perl 5.20.0, R 3.1.1, NWChem 6.3, OpenFOAM-Extend 3.1, GCC 4.9.1, Clang 3.4.2, ...
- various enhancements, including:
    - make existing ictce/intel toolchains compatible with HierarchicalMNS (#1069)
        - this involves installing impi with an iccifort toolchain, and imkl with an iimpi toolchain
- various bug fixes, including:
    - download link for Perl modules changed to use cpan.metapan.org
    - fix missing MPI-based OpenFOAM libraries (Pstream, (pt)scotchDecomp), make sure provided SCOTCH is used (#957)

v1.14.0.0 (July 9th 2014)
-------------------------

feature + bugfix release
- added example easyconfig files for 17 new software packages:
    ANSYS (#836), Beast (#912), ELPH (#910, #911), FastTree (#900, #947), GEM-library (#858), HPCG (#853),
    mdtest (#925), ncview (#648), PRANK (#917), RDP-Classifier (#903), SDPA (#955), SIBELia (#886),
    SOAPaligner (#857), SPAdes (#884), stemming (#891), WHAM (#872), YAXT (#656)
- added easyconfigs for new toolchains (#935, #944, #948):
    foss/2014b, ictce/6.3.5, intel/2014b
- added additional easyconfigs for various supported software packages: version updates, different toolchains, ...
- various enhancements, including:
    - replace use of deprecated (pre)makeopts with (pre)buildopts in all easyblocks (#954)
    - disable running embossupdate on installation of EMBOSS (#963)
- various bug fixes, including:
    - really enable OpenMP support in FastTree easyconfigs (#947)
    - fix easyconfigs unit tests after changes in framework (#958)

v1.13.0.0 (May 29th 2014)
-------------------------

feature + bugfix release
- added example easyconfig files for 32 new software packages:
    APBS (#742), BayesTraits (#770), bc (#888), BitSeq (#791), CEM (#789), CVS (#888), eXpress (#786), file (#888),
    GEMSTAT (#861), GMAP (#594), Go (#887), iscp (#602), IsoInfer (#773), Jellyfish (#868), less (#888),
    libcircle (#883), mcpp (#602), MMSEQ (#795), MUSTANG (#800), OpenFOAM-Extend (#437), popt (#759), pscom (#759),
    psmpi2 (#759), QuadProg++ (#773), rSeq (#771), RSEQtools (#870), Ruby (#873), segemehl (#792), SOAPec (#879),
    SOAPdenovo2 (#874), SRA-Toolkit (#793), texinfo (#888)
- added easyconfig for new toolchain goolfc/1.4.10
- added additional easyconfigs for various supported software packages: version updates, different toolchains, ...
    - e.g. older versions of Boost (1.47.0), GCC (4.1-4.4), & recent versions of Clang, GCC, Lmod, etc.
- various enhancements, including:
    - add OpenSSL dependency for cURL, to enable HTTPS support (#881)
    - also install esl-X binaries for HMMER (#889)
- various bug fixes, including:
    - properly pass down compiler flags for ParMGridGen (#437)
    - specify proper make options for PLINK, fixing the build on SL6 (#594, #772)
    - fix netloc version (0.5 rather than 0.5beta) (#707)
    - remove Windows-style line ending in netCDF patch file (#796)
    - bump version of OpenSSL dep for BOINC (#882)

v1.12.1.0 (April 25th 2014)
---------------------------

(no changes compared to v1.12.0, simple version bump to stay in sync with easybuild-framework)

v1.12.0.0 (April 4th 2014)
--------------------------

feature + bugfix release
- added example easyconfig files for 6 new software packages:
    CLooG (#653), ELPA (#738), LIBSVM (#788), netaddr (#753), netifcas (#753), slalib-c (#750)
- added easyconfigs for new toolchains:
    ClangGCC/1.3.0 (#653), goolf/1.4.10-no-OFED (#749), goolf/1.5.14(-no-OFED) (#764, #767), ictce/6.2.5 (#726), iomkl (#747)
- added additional easyconfigs for various supported software packages: version updates, different toolchains, ...
- various enhancements, including:
    - tweak BOINC easyconfig to make use of glob support available for files_to_copy (#781)
    - enable -fPIC for libreadline, so it can be linked into shared libs (e.g. libpython2.x.so) (#798)
- various bug fixes, including:
    - fix Qt source_urls (#756)
    - enable -fPIC in ncurses 5.9 ictce/5.2.0 easyconfig, just like in the others (#801)
    - fix unit tests after changes to framework (#763, #766, #769)

v1.11.1.0 (February 28th 2014)
------------------------------

(no changes compared to v1.11.0, simple version bump to stay in sync with easybuild-framework)

v1.11.0.0 (February 16th 2014)
------------------------------

feature + bugfix release
- added example easyconfig files for 30 new software packages:
    argtable (#669), Clustal-Omega (#669), Coreutils (#582), GMT (#560), gperftools (#596), grep (#582), h4toh5 (#597),
    libunwind (#596), Lmod (#600, #692), Lua (#600, #692), MAFFT (#654), Molekel (#597), NEdit (#597),
    netcdf4-python (#660), nodejs (#678), OCaml (#704), patch (#582), PhyML (#664),
    PRACE Common Production Environment (#599), protobuf (#680), python-dateutil (#438), sed (#582), sickle (#651),
    Tesla-Deployment-Kit (#489), TREE-PUZZLE (#662), VCFtools (#626), Vim (#665), vsc-mympirun-scoop (#661),
    vsc-processcontrol (#661), XZ (#582)
- added additional easyconfigs for various supported software packages: version updates, different toolchains, ...
    - OpenSSL with ictce toolchain (#703)
- various enhancements, including:
    - using more constants and templates (#613, #615)
    - specify OS dependency for SSL support, with OpenSSL dependency as fallback (#703)
- various bug fixes, including:
    - fix unit tests after (internal) framework API changes (#667, #672)
    - fix homepage in vsc-mympirun easyconfig file (#681)
    - align OpenMPI easyconfigs (#650)
    - add additional source URL in Qt easyconfigs (#676)
    - specify correct $PATH specification and define $CHPL_HOME for Chapel (#683)

v1.10.0.0 (December 24th 2013)
------------------------------

feature + bugfix release
- added example easyconfig files for 18 new software packages:
    BEDTools (#579, #632, #635), CAP3 (#548), CHARMM (#584), cutadapt (#620), ErlangOTP (#556, #630),
    Ghostscript (#547, #632), HTSeq (#554, #632), Jansson (#545), libjpeg-turbo (#574), Molden (#566),
    netloc (#545), o2scl (#633), packmol (#566), PP (#405), qtop (#500), TAMkin (#566), vsc-base (#621),
    vsc-mympirun (#621)
- added easyconfigs for new toolchains (#545, #609, #629):
    gcccuda/2.6.10, gompic/2.6.10, goolfc/2.6.10, ictce/6.0.5, ictce/6.1.5
- added additional easyconfigs for various supported software packages: version updates, different toolchains, ...
    - new versions of icc, ifort, imkl, impi (#609, #629)
    - large collection of ictce/5.3.0 easyconfigs (#627)
- various enhancements, including:
    - extended list of Python packages as extensions to Python (#625)
    - add MPI-enabled version of GROMACS + easyconfigs using ictce (#606, #636)
    - clean up templating of source_urls (#637)
- various bug fixes, including:
    - provide alternative download URL for Mesa (#532)
    - add Python versionsuffix in OpenBabel filenames (#566)
    - apply no-gets patch in all M4 v1.4.16 easyconfigs (#623)
    - fix patching of Python w.r.t. libffi/_ctypes issues (#625, #642)
    - bug fixes in GROMACS easyconfigs (#606)
        - change versionsuffix for non-MPI GROMACS easyconfigs to '-mt'
        - stop using 'CMakeMake' easyblock for GROMACS now that there's a dedicated GROMACS easyblock,
          which correctly specifies building against external BLAS/LAPACK libraries
    - fix Qt dependency for CGAL (#642)
    - fix libctl, libmatheval, Meep, PSI build issues caused by full paths in guile-config/python-config shebang (#642)
    - make sure HDF easyconfigs specify dedicated 'include/hdf' include dir (#642)
        - this is required to avoid build issues with NCL, because HDF ships it's own netcdf.h
        - this also triggered removal of patch files for NCL that rewrote 'include/hdf' to 'include'
    - fix WPS v3.5.1 patch file after upstream source tarball was changed, supply checksum for verification (#642)

v1.9.0.0 (November 17th 2013)
-----------------------------

feature + bugfix release
- added example easyconfig files for 58 new software packages:
    - Allinea (#468), ARB + dependencies (#396, #493, #495), arpack-ng (#451, #481), CDO (#484, #521), Cube (#505),
      ed (#503), FLTK (#503), GenomeAnalysisTK (#467), GIMPS (#527), GTI (#511), IPython (#485, #519), LWM2 (#510),
      MPICH2 (#460), MUST (#511), ncdf (#496, #522), OPARI2 (#505), OpenBabel (#504, #524), OTF (#505), OTF2 (#505),
      PandaSEQ (#475), ParaView (#498, #514), ParFlow (#483, #520), PCC (#486, #528), PDT (#505), picard (#467),
      PnMPI (#511), PyQuante (#499, #523), pysqlite (#519), Scalasca (#505), Score-P (#505), SDCC (#486, #528),
      Silo (#483, #520), Stride (#503), SURF (#503), TCC (#486, #528)
        - ARB dependencies (23): fixesproto, imake, inputproto, kbproto, libICE, libSM, libX11, libXau, libXaw,
                                 libXext, libXfixes, libXi, libXmu, libXp, libXpm, libXt, lynx, motif, printproto,
                                 Sablotron, xbitmaps, xextproto, xtrans
- added easyconfigs for new gmpich2/1.4.8, gmpolf/1.4.8 and goolf/1.6.10 toolchains (#460, #525, #530)
- added additional easyconfigs for various software packages (list too long to include here)
    - version updates, different toolchains, ...
- various bug fixes, including:
    - enable building of shared libraries for MPICH (#482)
    - fix HDF configure option for Szip, should be --with-szlib (#533)
        - for HDF5, this issue is fixed in the HDF5 easyblock
- other
    - add build status badges for master/develop branches to README (#490)

v1.8.2.0 (October 18th 2013)
----------------------------

bugfix release
- port thread pool patch to PSI 4.0b4 and include it to avoid hanging tests (#471)

v1.8.1.0 (October 14th 2013)
----------------------------

bugfix release
- added additional easyconfigs for various software packages (#457):
    - Boost, bzip2, libreadline, ncurses, PSI, Python, zlib
- various bug fixes, including:
    - fix faulty easyconfig file names for HPCBIOS_Math, MUSCLE, XML-LibXML and YAML-Syck (#459, #462)
    - stop (re)specifying default maximum ratio for failed tests in NWChem easyconfig (#457)

v1.8.0.0 (October 4th 2013)
---------------------------

feature + bugfix release
- added example easyconfig files for 9 new software packages:
    - BOINC (#436), DB (#343, #449), fastahack (#374), FDTD Solutions (#387), FoldX (#440, #442), Mathematica (#394),
      Mesquite (#447), MUMPS (#447), ParMGridGen (#447)
- added additional easyconfigs for goalf, gompi, ClangGCC, cgmvapich2, cgmvolf toolchains (#350, #441)
- added additional easyconfigs for various software packages:
    - ATLAS, Bison, bzip2, Clang, CMake, cURL, EasyBuild, expat, FFTW, GDB, gettext, git, HPL, LAPACK, libreadline,
      M4, METIS, MVAPICH2, Mercurial, ncurses, OpenBLAS, OpenMPI, ParMETIS, Python, ScaLAPACK, SCOTCH, Valgrind, zlib
- various 'bug' fixes, including:
    - fix source URL for lockfile in Python easyconfigs (#428)
    - correct dependency specifications w.r.t. versionsuffix and toolchain (#431)
        - this is required to support building the affected easyconfigs with a custom module naming scheme
    - correct PSI patch file to avoid errors w.r.t. memcpy not being in scope (#446)
    - fix gettext build with adding --without-emacs configure options, add gettext as dependency for a2ps (#448)
    - exclude EMACS support in a2ps because of build failures (#452)

v1.7.0.0 (September 2nd 2013)
-----------------------------

feature + bugfix release
- added example easyconfig files for 15 new software packages:
    - Glib (#294, #400), GLPK (#400), horton (#413), libint2 (#413), molmod (#413), Rosetta (#336), SCons (#336), Stacks (#367, #377), sympy (#413),
      Qt (#294), XML-LibXML (#397), XML-Simple (#397), yaff (#413), YAML-Syck (#380), zsh (#376)
- added additional easyconfigs for various software packages:
    - BLAST, BamTools, BioPerl, Bison, Boost, bzip2, CMake, Cython, CUDA, FFTW, FIAT, GCC, GMP, gettext, git, h5py,
      HDF5, libffi, libreadline, libxc, matplotlib, METIS, ncurses, Oases, Python, RAxML, ScientificPython, Szip,
      tcsh, imkl, MVAPICH2, TotalView, VTune, WRF, zlib
- added toolchain easyconfig files for HPCBIOS policies (#402, #407)
    - HPCBIOS_BioInfo, HPCBIOS_Debuggers, HPCBIOS_LifeSciences, HPCBIOS_Math, HPCBIOS_Profilers
- various enhancements, including:
    - added more XML Perl modules to non-bare Perl easyconfigs (#375)
- various 'bug' fixes, including:
    - fix website/description in scipy easyconfigs (#399)
    - specify OpenMPI libibverbs-dev(el) OS dependency in an OS-dependent way (#403)
    - add patch file for M4 to fix building on systems with recent glibc (>=2.16) (#406)
    - align moduleclass in R easyconfigs (#411)
    - fixed filename of Biopython/CD-HIT easyconfig files (#407)
    - disable parallel building of otcl (#419)

v1.6.0.0 (July 11th 2013)
-------------------------

feature + bugfix release
- added example easyconfig files for 26 new software packages:
    - ALLPATHS-LG (#359), AutoMake (#347), BamTools (#319, #338), BLAT (#340), Biopython (#356), cairo (#361),
      CCfits (#327), CD-HIT (#344), CFITSIO (#327), Diffutils (#347), FASTA (#358, #361), findutils (#347),
      fontconfig (#361), gawk (#347), gettext (#361), GLIMMER (#357, #361), libidn (#361), LibTIFF (#347),
      libungif (#347), make (#355), MUSCLE (#339), Oases (#354), pixman (#361), PLINK (#352), RCS (#347), SQLite (#347)
- added additional easyconfigs for various software packages:
    - ant, Bash, Bison, bzip2, cURL, expat, GCC, EasyBuild, freetype, FFTW, GDB, git, HMMER, JUnit, libreadline, libpng,
      libtool, libxml2, libxslt, M4, makedepend, Mothur, MVAPICH2, Mercurial, ncurses, OpenBLAS, Python, ScaLAPACK, Tcl,
      tcsh, TopHat, Trinity, Valgrind, Velvet, VTune, zlib
      (see #169, #297, #298, #301, #309, #323, #331, #332, #341, #347, #349, #351, #355, #361)
- various enhancements, including:
    - added easyconfigs for ictce/5.4.0, ictce/5.5.0 and gmvolf/1.7.12 toolchain modules (#297, #332, #349)
    - added a template sanity_check_paths as 'MUST' in TEMPLATE.eb (#329)
    - introduced biodeps 'toolchain' to ease keeping common dependencies for bio* software in sync (#309)
    - added collection of easyconfigs for ictce/5.3.0 (#309, #323)
        - bam2fastq, bbFTP, BLAST, Boost, DL_POLY Classic, EMBOSS, FFTW, libharu, libxml2, libxslt, libyaml, lxml,
          Mercurial, Mothur, mpi4py, ncurses, ns, orthomcl, otcl, PAML, Perl, PyYAML, pandas, problog, scikit-learn,
          TiCCutils, TiMBL, TinySVM, TopHat, tclcl, YamCha
    - added missing dependencies for various software packages (#323, #328, #348, #361)
    - style fixes in various easyconfigs (#309, #323, #345, #349, #355, #361)
- various 'bug' fixes, including:
    - added 'pic' toolchain option for Perl goolf easyconfig (#299)
    - fixed source URLs for R (use correct template 'version_major') (#302)
    - synced libreadline easyconfigs w.r.t. ncurses dependency (#303)
    - make sure EasyBuild configuration is initialized when running unit tests (#334)
    - specify 'lowopt' (-O1) optimization level for OpenIFS, to avoid floating-point related issues (#328)
    - fix naming of 'beagle-lib' (used to be 'BEAGLE'), to avoid name clashes with other software package(s) (#346)

v1.5.0.0 (June 1st 2013)
------------------------

feature + bugfix release
- added example easyconfig files for 23 new software packages:
    - bam2fastq (#287), CBLAS (#263), EMBOSS (#265, #290), FCM (#272), FRC_align (#273), freeglut (#271),
      FreeSurfer (#271), FSL (#271), GATK (#287), libharu (#290), libxslt (#235), MariaDB (#292), Mothur (#265)
      mpi4py (#276), OpenIFS (#272), orthomcl (#265), PAML (#287), pandas (#262), phonopy (#235), problog (#277),
      PSI (#258), PyYAML (#235), RAxML (#277)
- added additional example easyconfig files for:
    - ABINIT (#235), ACML (#267), BLAST (#275), Boost (#273), BWA (#270), bzip2 (#263), Chapel (#240), CMake (#290),
      FFTW2 (#247, #267), flex (#267), freetype (#235), grib_api (#272), gzip (#265), Java (#279), libpng (#240, #279),
      libreadline (#267), libxml2 (#235), libxml (#235), matplotlib (#235), MCL (#265), MUMmer (#265), ncurses (#267),
      numpy (#267), OpenFOAM (#267), Perl (#265), Python (#276, #263), R (#240, #279), SCOTCH (#267), ScaLAPACK (#267),
      TopHat (#289), Valgrind (#255), zlib (#267)
- various enhancements, including:
    - enhance unit test suite, include testing for module conflicts (#256) and presence of patch files (#264)
    - use provided constants and templates in easyconfig files where appropriate (#248, #266, #281)
- various 'bug' fixes, including:
    - get rid of hardcoded license_file paths for VTune, Inspector (#253)
    - assign proper moduleclass where they were missing (#278)
    - fix naming for LZO (#280)
    - make unit tests clean up after themselves more thoroughly (#283, #284, #285, #286)
    - fix TopHat dependencies (#289)
    - fix source URLs for XML (#279)
    - fix versions for all listed R extensions (#279)
    - fix CUDA easyconfig file for use on Debian Squeeze (#291)
    - correct easyconfig filename and module name mismatches (bbcp, DL_POLY Classic, ...) (#295)

v1.4.0.0 (May 2nd 2013)
-----------------------

feature + bugfix release
- added a unit test suite for easyconfigs (#228, #230)
- added example easyconfig files for 20 new software packages:
    - ABAQUS (#231), BioPerl (#242), Bowtie (#227), Clang (#177), CRF++ (#131), DL_POLY Classic (#132), ESMF, GROMACS (#165),
      HH-suite (#219), Inspector (#232), likwid (#131), Perl (#242), scikit (#133), TiCCutils (#131), TiMBL (#131), TinySVM (#131),
      UDUNITS (#167), VTune (#232), YamCha (#131)
- add example easyconfigs for new compiler toolchains (use `eb --list-toolchains` for a full list of supported toolchains):
    - the newly added toolchains only differ in compilers/MPI library, and all feature OpenBLAS, LAPACK, ScaLAPACK and FFTW
    - goolfc: GCC, CUDA (co-compiler), OpenMPI (#191)
        - a goolfc easyconfig for GROMACS is inluded as proof-of-concept (#165)
    - cgmpolf: Clang (C/C++ compilers), GCC (Fortran compilers), MPICH (#213)
    - cgmvolf: Clang, GCC, MVAPICH2 (#218)
    - cgoolf: Clang, GCC, OpenMPI (#213)
    - gmvolf: GCC, MVAPICH (#202, #222)
- ported already available easyconfigs to new compiler toolchains:
    - ictce-5.3.0: 193 easyconfigs (#229)
    - cgmpolf: 11 easyconfigs (#213)
    - cgmvolf: 11 easyconfigs (#218)
    - cgoolf: 12 easyconfigs (#213)
    - gmvolf: 10 easyconfigs (#215)
- added additional example easyconfig files for:
    - CMake (#163), git (#210), Java (#206), #221, Mercurial (#201, #215), ncurses (#225), TotalView (#160)
- various enhancements, including:
    - added ESMF and UDUNITS dependencies to NCL easyconfigs (#211)
    - changed value of source_urls in R easyconfigs, to be generic enough for version 3.0 and possibly beyond (#251)
- various 'bug' fixes, including:
    - add --enable-mpirun-prefix-by-default configure option for all OpenMPI easyconfigs (#205)

v1.3.0.0 (April 1st 2013)
-------------------------

feature + bugfix release
- added example easyconfig files for 13 new software packages:
    - Bash, CUDA, ccache, Ferret, gzip, libxc, ns, numactl, OpenBLAS, otcl, Tar, tclcl, tcsh
        - several of these easyconfig files were contributed by attendees of the EasyBuild hackathon in Cyprus!
- added example easyconfigs for goolf toolchain (#158)
- added example easyconfigs for builds with goolf toolchain, i.e. for all goalf easyconfigs (#189)
    - for several software packages, a patch file was needed to get them to build with GCC 4.7:
        AMOS, BEAGLE, Cufflinks, DOLFIN, GATE, ns, Pasha, Trilinos, Trinity
    - for PETSc, a patch file was required to make it build with a toolchain that doesn't include BLACS
- added additional example easyconfig files for:
    gompi, hwloc, LAPACK, MVAPICH2, OpenMPI, ScaLAPACK
- various enhancements, including:
    - define a proper module class in *all* easyconfigs, cfr. default module classes defined in framework (#150, #159, #161, #162, #179, #181)
    - extend FFTW easyconfig to 'fat' builds that include single, double, long double and quad precision libraries in the same module
        - quad precision is disabled for Intel compiler based builds (it requires GCC v4.6+)
    - the imkl easyconfigs used for the ictce 3.2.2.u3 toolchain now also enable FFTW interfaces
- various 'bug' fixes, including:
    - fix filename for Mercurial and ROOT easyconfig files
    - fix homepage/description for Hypre
    - fix enabling OpenMP support in OpenMPI: use '--enable-openmp', not 'with-openmp'
    - use correct configure flag for enabling OpenMPI threading support in v1.6 (#186)
        - '--enable-mpi-thread-multiple' instead of '--enable-mpi-threads'
    - explicitely add '--without-openib --without-udapl' configure options in OpenMPI easyconfig using versionsuffix -no-OFED (#168)
        - this avoids that OpenMPI auto-detects that it can enable Infiniband (OpenIB) support, which doesn't fit the -no-OFED versionsuffix
        - Note: this makes goalf-1.1.0-no-OFED effectively not suitable to produce software builds that are IB-capable!
    - remove explicit '--with-udapl' from OpenMPI easyconfigs, does more harm than good (#178)
    - remove libibvers, libibmad, libibumad as explicit dependencies for OpenMPI/MVAPICH2 (#173, #182)
        leave it up to the OS to provide these, since the required version is too much tied to the version of IB drivers
    - use 'license_file' in Intel tools easyconfigs, as opposed to the new generic 'license' parameter with a different meaning (#180)
    - modify patch for impi to avoid installation problems due to hardcoded path in /tmp (#185)
        - now uses '$USER-$RANDOM' subdir to avoid clashes between different users on the same system
    - the patch file for numpy was extended to also supporting ATLAS and other BLAS libraries spread across multiple directories
        - the extension for ATLAS is required because we now no longer rely on the automatic numpy mechanism to find the ATLAS libs
    - fixed dependencies:
        - libibumad as dependency for libibmad
        - ncurses as dependency for libreadline
        - ncurses and zlib as dependency for SAMtools (+ enhanced patch)
        - remove explicit FFTW dependency for Meep, ... since toolchain already provided FFTW


v1.2.0.0 (February 28th 2013)
---------------------------

feature + bugfix release
- added example easyconfig files for 41 new software packages:
    -  a2ps, AnalyzeFMRI, aria, bbcp, bbFTP, bbftpPRO, binutils, Bonnie++, ccache, cflow, cgdb, Corkscrew, EasyBuild,
       Elinks, EPD, FLUENT, fmri, GDB, GDAL, gnuplot, gnutls, gperf, Iperf, lftp, libyaml, lzo, MATLAB, mc, nano, NASM,
       nettle, numexpr, parallel, pyTables, QLogic MPI, Stow, TotalView, Valgrind, VTK, Yasm, zsync
- added example easyconfigs for iqacml and iiqmpi toolchains
- added additional example easyconfig files for:
    - ABINIT, ABySS, ACML, BFAST, Bison, BLACS, Cython, cURL, Doxygen, FFTW, flex, g2clib, g2lib, GHC, h5py, HDF, HDF5,
      HMMER, JasPer, icc, ictce, ifort, imkl, impi, libpng, libreadline, M4, matplotlib, MCL, MEME, mpiBLAST, NCL,
      ncurses, netCDF, netCDF-Fortran, NWChem, R, ScaLAPACK, Tcl, Tk, WPS, WRF, zlib
- various enhancements, including:
    - fix version of xtable R library in list of extensions for R, to avoid installation failures
- various 'bug' fixes, including:
    - fix toolchain and file names for ABINIT easyconfigs
    - fix sanity check paths for cURL
    - don't disable 'optarch' for WRF, it's not needed (only disable heavy optimizations is required)
    - fix homepage/description for ALADIN

v1.1.0.0 (January 27th 2013)
--------------------------

feature + bugfix release
- added example easyconfig files for 48 new software packages:
    - ABINIT, ABySS, ACML, ALADIN, ant, BFAST, BLAST, Chapel, CLHEP, Cufflinks, ESPRresSo, GATE, GHC, Geant4,
      Greenlet, google-sparsehash, grib_api, HMMER, Java, JUnit, libibmad, libibumad, libibverbs, MCL, MDP,
      MEME, mpiBLAST, NCBI Toolkit, NEURON, NWChem, numpy, MDP, Oger, OpenPGM, paycheck, PyZMQ, QuantumESPRESSO,
      R, ROOT, SCOOP, scipy, Tophat, Trinity, util-linux, VSC-tools, wiki2beamer, XML, ZeroMQ
- added example easyconfigs for gmacml, gmvapich2, iccifort, ictce, iomkl toolchains
- added additional example easyconfig files for:
    - ATLAS, BLACS, Boost, Bowtie2, bzip2, CP2K, Doxygen, FFTW, GCC, HDF5, hwloc, icc, ifort, imkl, impi,
      JasPer, Libint, libreadline, libsmm, libxml, ncurses, netCDF, M4, Meep, MVAPICH2, OpenMPI, Python,
      ScaLAPACK, Szip, zlib
- various enhancements, including:
    - major style cleanup of all example easyconfig file (PEP008 compliance)
    - added setuptools to list of Python extensions
    - get rid of 'parallel' versionsuffix for HDF5, as its meaningless (MPI-enabled build is always parallel)
- various 'bug' fixes, i.e. added missing dependencies or replaced os dependencies with proper dependencies

v1.0.0.2 (December 8th 2012)
----------------------------

bugfix release
- fixed source URL for ligtextutils (toolchain refactoring error)

v1.0.0.1 (November 24th 2012)
-----------------------------

bugfix release
- remove patch file for OpenMPI to resolve issue with pax hanging configure
    - tar_config_opts should be enabled as needed
- disable parallel build for PAPI, seems to be causing problems

v1.0.0 (November 13th 2012)
---------------------------

- split up EasyBuild across three repositories: framework, easyblocks and easyconfigs
- packaged EasyBuild, different parts can now be installed easily using easy_install
- added example easyconfig files for 106 new software packages:
    AMOS, Armadillo, ASE, Autoconf, BiSearch, Boost, Bowtie2, BWA, byacc, bzip2, CGAL, ClustalW2, CMake,
    CPLEX, cURL, CVXOPT, Cython, Docutils, DOLFIN, ECore, Eigen, expat, FASTX-Toolkit, FFC, FIAT,
    freetype, FSL, GEOS, git, glproto, GMP, gmvapich2, gompi, GPAW, GSL, guile, h5py, h5utils, Harminv,
    hwloc, Hypre, Infernal, Instant, Jinja2, libctl, libdrm, libffi, libgtextutils, libmatheval,
    libpciaccess, libpthread-stubs, libreadline, libtool, libunistring, libxcb, libxml2, makedepend,
    matplotlib, Meep, Mercurial, Mesa, MetaVelvet, METIS, MPFR, MTL4, MUMmer, ncurses, OpenFOAM, OpenSSL,
    ORCA, PAPI, ParMETIS, Pasha, PCRE, PETSc, petsc4py, pkg-config, Primer3, python-meep, RNAz, SAMtools,
    ScientificPython, SCOTCH, setuptools, Shapely, SHRiMP, SLEPc, SOAPdenovo, Sphinx, SuiteSparse, SWIG,
    Tcl, Theano, Tk, Tornado, Trilinos, UFC, UFL, Velvet, ViennaRNA, Viper, WIEN2k, xcb-proto, XCrySDen,
    xorg-macros, xproto
- added additional example easyconfig files (versions, builds) for several software packages
    Bison, BLACS, Doxygen, flex, GCC, HDF5, icc, ifort, libpng, M4, MVAPICH2, OpenMPI, Szip, tbb, zlib
- replaced GCC/OpenMPI based easyconfig files with equivalents using the gompi toolchain
    ATLAS, BLACS, FFTW, LAPACK, ScaLAPACK
- enhanced Python example easyconfig files (more dependencies required for features, e.g. libreadline, bzip2, zlib, ...)
- corrected file name of easyconfig files to adher to standard as followed by EasyBuild robot dependency resolver
- style cleanup in existing easyconfig files

v0.8 (June 29th 2012)
---------------------

- added support for building/installing 17 additional software packages:
    - BEAGLE, Doxygen, g2clib, g2lib, HDF, HDF5, JasPer, libpng, Maple,
      MrBayes, NCL, netCDF, netCDF-Fortran, Szip, WPS, WRF, zlib
- the build procedure for WRF and WPS includes running the tests available for these packages
- various bug fixes and enhancements:
    - made support for interactive installers (run_cmd_qa) more robust
    - fixed Python git package check
    - implemented toolkit functions for determine compiler family, MPI type, MPI run command, ...

v0.7 (June 18th 2012)
---------------------

- fixed BLACS build
    - diagnostic tools to determine INTERFACE and TRANSCOMM values are now used
- added support for building Bison, CP2K, flex
    - with regression test enabled for CP2K as part of build process
    - note: BLACS built with EasyBuild prior to v0.7 needs to be rebuilt for CP2K to work correctly
- added --enable-mpi-threads to OpenMPI example easyconfigs
    - required for correct CP2K psmp build
- adjusted libsmm example easyconfig for lower build time
    - to make the full regression test finish in a reasonable amount of time
- added script to make porting of easyblocks from old to new EasyBuild codebase easier
    - takes care of refactoring, checks for PyLint warnings/errors, ...
- fixed several small bugs
- prefixed EasyBuild messages with "=="
- full regression test passed (58 easyconfigs tested)

v0.6 (May 11th 2012)
---------------------

- added support for Intel compiler toolkit (ictce)
    - which included the Intel compilers, Intel Math Kernel Library (imkl) and Intel MPI library (impi)
- added support for building Python with nose/numpy/scipy packages
- added simple regression test
- this version is able to build all supplied example easyconfigs

v0.5 (April 6th 2012)
----------------------

- first public release of EasyBuild
    - after a thorough cleanup of the EasyBuild framework of the in-house version
- supports building HPL with goalf compiler toolkit
    - the goalf toolkit consists of the GCC compilers, and the OpenMPI, ATLAS, LAPACK, FFTW and ScaLAPACK libraries
- also support build and installation of MVAPICH2
